
LIBNAME LIBRARY 'C:\DAIS\DATA\EXTRACT\HD8992F';
PROC FORMAT LIBRARY=LIBRARY;
VALUE  V2_F   24 = 'QUEBEC'
             35 = 'ONTARIO'
             47 = 'SASKATCHEWAN'
             48 = 'ALBERTA'
       ;
VALUE  V3_F   1 = 'MALE'
             2 = 'FEMALE'
       ;
VALUE  V4_F   1 = '18-34 YEARS'
             2 = '35-64 YEARS'
             3 = '65-74 YEARS'
       ;
VALUE  V5_F   1 = '18-24'
             2 = '25-34'
             3 = '35-44'
             4 = '45-54'
             5 = '55-64'
             6 = '65-74'
       ;
VALUE  V7_F   1 = 'YES'
             2 = 'NO'
             .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V8_F   1 = 'AN ACCIDENT'
             2 = 'CANCER'
             3 = 'STROKE'
             4 = 'HEART ATTACK'
             5 = 'OTHER'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V9_F   .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V10_F   1 = 'YES'
             2 = 'NO'
             .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V11_F   1 = 'YES'
             2 = 'NO'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V12_F   1 = 'YES'
             2 = 'NO'
             .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V13_F   1 = 'YES'
             2 = 'NO'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V14_F   1 = 'YES'
             2 = 'NO'
             .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V15_F   1 = 'YES'
             2 = 'NO'
             .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V16_F   1 = 'YES'
             2 = 'NO'
             .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V17_F   1 = 'AN ACCIDENT'
             2 = 'CANCER'
             3 = 'STROKE'
             4 = 'HEART ATTACK'
             5 = 'OTHER'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V18_F   .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V19_F   1 = 'YES'
             2 = 'NO'
             .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V20_F   1 = 'YES'
             2 = 'NO'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V21_F   1 = 'YES'
             2 = 'NO'
             .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V22_F   1 = 'YES'
             2 = 'NO'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V23_F   1 = 'YES'
             2 = 'NO'
             .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V24_F   1 = 'YES'
             2 = 'NO'
             .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V25_F   .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V26_F   .A = 'NOT APPLICABLE'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
       ;
VALUE  V27_F   .A = 'NOT APPLICABLE'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
       ;
VALUE  V28_F   .A = 'NOT APPLICABLE'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
       ;
VALUE  V29_F   .A = 'NOT APPLICABLE'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
       ;
VALUE  V30_F   .A = 'NOT APPLICABLE'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
       ;
VALUE  V31_F   .A = 'VARIABLE UNKNOWN'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
       ;
VALUE  V32_F   .A = 'VARIABLE UNKNOWN'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
       ;
VALUE  V33_F   .A = 'VARIABLE UNKNOWN'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
       ;
VALUE  V34_F   .A = 'VARIABLE UNKNOWN'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
       ;
VALUE  V35_F   .A = 'VARIABLE UNKNOWN'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
       ;
RUN;
LIBNAME OUT 'C:\DAIS\DATA\EXTRACT\HD8992F';
DATA OUT.HD8992F;
INFILE 'D:\DAIS\DATA\HD8992F\HD8992F.DAT' LRECL =  62;
INPUT  SEQNO   1-5
       PROV   6-7
       SEX   8-8
       GPAGE   9-9
       GPAGE2   10-10
       PWGTQ   11-18 .2
       FALIVE   19-19
       FDEATH   20-20
       FOLD   21-23
       FHA   24-24
       FHA60   25-25
       FSTR   26-26
       FSTR60   27-27
       FHBP   28-28
       FCHOL   29-29
       MALIVE   30-30
       MDEATH   31-31
       MOLD   32-34
       MHA   35-35
       MHA60   36-36
       MSTR   37-37
       MSTR60   38-38
       MHBP   39-39
       MCHOL   40-40
       BSNUM   41-42
       BSALIVE   43-44
       BSHA   45-46
       BSHBP   47-48
       BSSTR   49-50
       BSCHOL   51-52
       GPALIVE   53-54
       GPHA   55-56
       GPHBP   57-58
       GPSTR   59-60
       GPCHOL   61-62
      ;
LABEL   SEQNO = 'SEQUENCE NUMBER'
        PROV = 'PROVINCE'
        SEX = 'SEX'
        GPAGE = 'AGE GROUP'
        GPAGE2 = 'AGE GROUPED IN 10 YEARS'
        PWGTQ = 'PROBABILITY WEIGHT FOR QUESTIONNAIRE'
        FALIVE = 'IS YOUR FATHER ALIVE?'
        FDEATH = 'WHAT WAS THE CAUSE OF FATHERS DEATH?'
        FOLD = 'HOW OLD IS YOUR FATHER, OR AGE AT DEATH'
        FHA = 'FATHER HAD A HEART ATTACK OR ANGINA?'
        FHA60 = 'ATTACK OCCUR BEFORE FATHER WAS 60?'
        FSTR = 'FATHER HAD STROKE OR CEREBRAL VASC DIS?'
        FSTR60 = 'STROKE OCCUR BEFORE FATHER WAS 60?'
        FHBP = 'FATHER HAD HIGH BP OR HYPERTENSION?'
        FCHOL = 'FATHER HAD HIGH BLOOD CHOL OR FATS?'
        MALIVE = 'IS YOUR MOTHER ALIVE?'
        MDEATH = 'WHAT WAS THE CAUSE OF MOTHERS DEATH?'
        MOLD = 'HOW OLD IS YOUR MOTHER, OR AGE AT DEATH'
        MHA = 'MOTHER HAD A HEART ATTACK OR ANGINA?'
        MHA60 = 'ATTACK OCCUR BEFORE MOTHER WAS 60?'
        MSTR = 'MOTHER HAD STROKE OR CEREBRAL VASC DIS?'
        MSTR60 = 'STROKE OCCUR BEFORE MOTHER WAS 60?'
        MHBP = 'MOTHER HAD HIGH BP OR HYPERTENSION?'
        MCHOL = 'MOTHER HAD HIGH BLOOD CHOL OR FATS?'
        BSNUM = 'TOTAL NUMBER OF BROTHERS, SISTERS?'
        BSALIVE = 'NUMBER OF BROTHERS/SISTERS STILL LIVING?'
        BSHA = 'SIBLINGS: NO HRT ATTACK/ANGINA BEFORE 60'
        BSHBP = 'SIBLINGS: NO WITH HIGH BLOOD PRESSURE'
        BSSTR = 'SIBLINGS: NO STROKE/CEREBRAL VASC DIS'
        BSCHOL = 'SIBLINGS: NO WITH HIGH CHOL/BLOOD FATS'
        GPALIVE = 'HOW MANY GRANDPARENTS ARE LIVING?'
        GPHA = 'GRANDPARENTS: NO HRT ATTACK/ANGINA < 60'
        GPHBP = 'GRANDPARENTS: NO WITH HIGH BLOOD PRESSURE'
        GPSTR = 'GRANDPARENTS: NO STROKE/CEREBRAL VAS DIS'
        GPCHOL = 'GRANDPARENTS: NO HIGH CHOL OR BLOOD FATS'
      ;
IF  FALIVE = 8 THEN FALIVE       = .A;
IF  FALIVE = 9 THEN FALIVE       = .B;
IF  FDEATH = 8 THEN FDEATH       = .B;
IF  FDEATH = 9 THEN FDEATH       = .C;
IF  FDEATH = 0 THEN FDEATH       = .A;
IF  FOLD = 998 THEN FOLD         = .A;
IF  FOLD = 999 THEN FOLD         = .B;
IF  FHA = 8 THEN FHA          = .A;
IF  FHA = 9 THEN FHA          = .B;
IF  FHA60 = 8 THEN FHA60        = .B;
IF  FHA60 = 9 THEN FHA60        = .C;
IF  FHA60 = 0 THEN FHA60        = .A;
IF  FSTR = 8 THEN FSTR         = .A;
IF  FSTR = 9 THEN FSTR         = .B;
IF  FSTR60 = 8 THEN FSTR60       = .B;
IF  FSTR60 = 9 THEN FSTR60       = .C;
IF  FSTR60 = 0 THEN FSTR60       = .A;
IF  FHBP = 8 THEN FHBP         = .A;
IF  FHBP = 9 THEN FHBP         = .B;
IF  FCHOL = 8 THEN FCHOL        = .A;
IF  FCHOL = 9 THEN FCHOL        = .B;
IF  MALIVE = 8 THEN MALIVE       = .A;
IF  MALIVE = 9 THEN MALIVE       = .B;
IF  MDEATH = 8 THEN MDEATH       = .B;
IF  MDEATH = 9 THEN MDEATH       = .C;
IF  MDEATH = 0 THEN MDEATH       = .A;
IF  MOLD = 998 THEN MOLD         = .A;
IF  MOLD = 999 THEN MOLD         = .B;
IF  MHA = 8 THEN MHA          = .A;
IF  MHA = 9 THEN MHA          = .B;
IF  MHA60 = 8 THEN MHA60        = .B;
IF  MHA60 = 9 THEN MHA60        = .C;
IF  MHA60 = 0 THEN MHA60        = .A;
IF  MSTR = 8 THEN MSTR         = .A;
IF  MSTR = 9 THEN MSTR         = .B;
IF  MSTR60 = 8 THEN MSTR60       = .B;
IF  MSTR60 = 9 THEN MSTR60       = .C;
IF  MSTR60 = 0 THEN MSTR60       = .A;
IF  MHBP = 8 THEN MHBP         = .A;
IF  MHBP = 9 THEN MHBP         = .B;
IF  MCHOL = 8 THEN MCHOL        = .A;
IF  MCHOL = 9 THEN MCHOL        = .B;
IF  BSNUM = 98 THEN BSNUM        = .A;
IF  BSNUM = 99 THEN BSNUM        = .B;
IF  BSALIVE = 96 THEN BSALIVE      = .A;
IF  BSALIVE = 98 THEN BSALIVE      = .B;
IF  BSALIVE = 99 THEN BSALIVE      = .C;
IF  BSHA = 96 THEN BSHA         = .A;
IF  BSHA = 98 THEN BSHA         = .B;
IF  BSHA = 99 THEN BSHA         = .C;
IF  BSHBP = 96 THEN BSHBP        = .A;
IF  BSHBP = 98 THEN BSHBP        = .B;
IF  BSHBP = 99 THEN BSHBP        = .C;
IF  BSSTR = 96 THEN BSSTR        = .A;
IF  BSSTR = 98 THEN BSSTR        = .B;
IF  BSSTR = 99 THEN BSSTR        = .C;
IF  BSCHOL = 96 THEN BSCHOL       = .A;
IF  BSCHOL = 98 THEN BSCHOL       = .B;
IF  BSCHOL = 99 THEN BSCHOL       = .C;
IF  GPALIVE = 97 THEN GPALIVE      = .A;
IF  GPALIVE = 98 THEN GPALIVE      = .B;
IF  GPALIVE = 99 THEN GPALIVE      = .C;
IF  GPHA = 97 THEN GPHA         = .A;
IF  GPHA = 98 THEN GPHA         = .B;
IF  GPHA = 99 THEN GPHA         = .C;
IF  GPHBP = 97 THEN GPHBP        = .A;
IF  GPHBP = 98 THEN GPHBP        = .B;
IF  GPHBP = 99 THEN GPHBP        = .C;
IF  GPSTR = 97 THEN GPSTR        = .A;
IF  GPSTR = 98 THEN GPSTR        = .B;
IF  GPSTR = 99 THEN GPSTR        = .C;
IF  GPCHOL = 97 THEN GPCHOL       = .A;
IF  GPCHOL = 98 THEN GPCHOL       = .B;
IF  GPCHOL = 99 THEN GPCHOL       = .C;
FORMAT  PROV V2_F.
        SEX V3_F.
        GPAGE V4_F.
        GPAGE2 V5_F.
        FALIVE V7_F.
        FDEATH V8_F.
        FOLD V9_F.
        FHA V10_F.
        FHA60 V11_F.
        FSTR V12_F.
        FSTR60 V13_F.
        FHBP V14_F.
        FCHOL V15_F.
        MALIVE V16_F.
        MDEATH V17_F.
        MOLD V18_F.
        MHA V19_F.
        MHA60 V20_F.
        MSTR V21_F.
        MSTR60 V22_F.
        MHBP V23_F.
        MCHOL V24_F.
        BSNUM V25_F.
        BSALIVE V26_F.
        BSHA V27_F.
        BSHBP V28_F.
        BSSTR V29_F.
        BSCHOL V30_F.
        GPALIVE V31_F.
        GPHA V32_F.
        GPHBP V33_F.
        GPSTR V34_F.
        GPCHOL V35_F.
;
RUN;
