
FILE HANDLE HD8992F/NAME='D:\DAIS\DATA\HD8992F\HD8992F.DAT' /LRECL=62.
DATA LIST FILE=HD8992F/
    SEQNO           1 -      5
    PROV            6 -      7
    SEX             8 -      8
    GPAGE           9 -      9
    GPAGE2         10 -     10
    PWGTQ          11 -     18  (  2 )
    FALIVE         19 -     19
    FDEATH         20 -     20
    FOLD           21 -     23
    FHA            24 -     24
    FHA60          25 -     25
    FSTR           26 -     26
    FSTR60         27 -     27
    FHBP           28 -     28
    FCHOL          29 -     29
    MALIVE         30 -     30
    MDEATH         31 -     31
    MOLD           32 -     34
    MHA            35 -     35
    MHA60          36 -     36
    MSTR           37 -     37
    MSTR60         38 -     38
    MHBP           39 -     39
    MCHOL          40 -     40
    BSNUM          41 -     42
    BSALIVE        43 -     44
    BSHA           45 -     46
    BSHBP          47 -     48
    BSSTR          49 -     50
    BSCHOL         51 -     52
    GPALIVE        53 -     54
    GPHA           55 -     56
    GPHBP          57 -     58
    GPSTR          59 -     60
    GPCHOL         61 -     62.
VARIABLE LABELS
  SEQNO     'SEQUENCE NUMBER'
  PROV      'PROVINCE'
  SEX       'SEX'
  GPAGE     'AGE GROUP'
  GPAGE2    'AGE GROUPED IN 10 YEARS'
  PWGTQ     'PROBABILITY WEIGHT FOR QUESTIONNAIRE'
  FALIVE    'IS YOUR FATHER ALIVE?'
  FDEATH    'WHAT WAS THE CAUSE OF FATHERS DEATH?'
  FOLD      'HOW OLD IS YOUR FATHER, OR AGE AT DEATH'
  FHA       'FATHER HAD A HEART ATTACK OR ANGINA?'
  FHA60     'ATTACK OCCUR BEFORE FATHER WAS 60?'
  FSTR      'FATHER HAD STROKE OR CEREBRAL VASC DIS?'
  FSTR60    'STROKE OCCUR BEFORE FATHER WAS 60?'
  FHBP      'FATHER HAD HIGH BP OR HYPERTENSION?'
  FCHOL     'FATHER HAD HIGH BLOOD CHOL OR FATS?'
  MALIVE    'IS YOUR MOTHER ALIVE?'
  MDEATH    'WHAT WAS THE CAUSE OF MOTHERS DEATH?'
  MOLD      'HOW OLD IS YOUR MOTHER, OR AGE AT DEATH'
  MHA       'MOTHER HAD A HEART ATTACK OR ANGINA?'
  MHA60     'ATTACK OCCUR BEFORE MOTHER WAS 60?'
  MSTR      'MOTHER HAD STROKE OR CEREBRAL VASC DIS?'
  MSTR60    'STROKE OCCUR BEFORE MOTHER WAS 60?'
  MHBP      'MOTHER HAD HIGH BP OR HYPERTENSION?'
  MCHOL     'MOTHER HAD HIGH BLOOD CHOL OR FATS?'
  BSNUM     'TOTAL NUMBER OF BROTHERS, SISTERS?'
  BSALIVE   'NUMBER OF BROTHERS/SISTERS STILL LIVING?'
  BSHA      'SIBLINGS: NO HRT ATTACK/ANGINA BEFORE 60'
  BSHBP     'SIBLINGS: NO WITH HIGH BLOOD PRESSURE'
  BSSTR     'SIBLINGS: NO STROKE/CEREBRAL VASC DIS'
  BSCHOL    'SIBLINGS: NO WITH HIGH CHOL/BLOOD FATS'
  GPALIVE   'HOW MANY GRANDPARENTS ARE LIVING?'
  GPHA      'GRANDPARENTS: NO HRT ATTACK/ANGINA < 60'
  GPHBP     'GRANDPARENTS: NO WITH HIGH BLOOD PRESSURE'
  GPSTR     'GRANDPARENTS: NO STROKE/CEREBRAL VAS DIS'
  GPCHOL    'GRANDPARENTS: NO HIGH CHOL OR BLOOD FATS'.
VALUE LABELS
    PROV      24          'QUEBEC'
          35          'ONTARIO'
          47          'SASKATCHEWAN'
          48          'ALBERTA'
         /
    SEX       1           'MALE'
          2           'FEMALE'
         /
    GPAGE     1           '18-34 YEARS'
          2           '35-64 YEARS'
          3           '65-74 YEARS'
         /
    GPAGE2    1           '18-24'
          2           '25-34'
          3           '35-44'
          4           '45-54'
          5           '55-64'
          6           '65-74'
         /
    FALIVE    1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
         /
    FDEATH    1           'AN ACCIDENT'
          2           'CANCER'
          3           'STROKE'
          4           'HEART ATTACK'
          5           'OTHER'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
          0           'NOT APPLICABLE'
         /
    FOLD      998         'DO NOT KNOW'
          999         'NOT STATED/REF'
         /
    FHA       1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
         /
    FHA60     1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
          0           'NOT APPLICABLE'
         /
    FSTR      1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
         /
    FSTR60    1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
          0           'NOT APPLICABLE'
         /
    FHBP      1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
         /
    FCHOL     1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
         /
    MALIVE    1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
         /
    MDEATH    1           'AN ACCIDENT'
          2           'CANCER'
          3           'STROKE'
          4           'HEART ATTACK'
          5           'OTHER'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
          0           'NOT APPLICABLE'
         /
    MOLD      998         'DO NOT KNOW'
          999         'NOT STATED/REF'
         /
    MHA       1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
         /
    MHA60     1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
          0           'NOT APPLICABLE'
         /
    MSTR      1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
         /
    MSTR60    1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
          0           'NOT APPLICABLE'
         /
    MHBP      1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
         /
    MCHOL     1           'YES'
          2           'NO'
          8           'DO NOT KNOW'
          9           'NOT STATED/REF'
         /
    BSNUM     98          'DO NOT KNOW'
          99          'NOT STATED/REF'
         /
    BSALIVE   96          'NOT APPLICABLE'
          98          'DO NOT KNOW'
          99          'NOT STATED/REF'
         /
    BSHA      96          'NOT APPLICABLE'
          98          'DO NOT KNOW'
          99          'NOT STATED/REF'
         /
    BSHBP     96          'NOT APPLICABLE'
          98          'DO NOT KNOW'
          99          'NOT STATED/REF'
         /
    BSSTR     96          'NOT APPLICABLE'
          98          'DO NOT KNOW'
          99          'NOT STATED/REF'
         /
    BSCHOL    96          'NOT APPLICABLE'
          98          'DO NOT KNOW'
          99          'NOT STATED/REF'
         /
    GPALIVE   97          'VARIABLE UNKNOWN'
          98          'DO NOT KNOW'
          99          'NOT STATED/REF'
         /
    GPHA      97          'VARIABLE UNKNOWN'
          98          'DO NOT KNOW'
          99          'NOT STATED/REF'
         /
    GPHBP     97          'VARIABLE UNKNOWN'
          98          'DO NOT KNOW'
          99          'NOT STATED/REF'
         /
    GPSTR     97          'VARIABLE UNKNOWN'
          98          'DO NOT KNOW'
          99          'NOT STATED/REF'
         /
    GPCHOL    97          'VARIABLE UNKNOWN'
          98          'DO NOT KNOW'
          99          'NOT STATED/REF'
         /.
MISSING VALUES  FALIVE  ( 8,9 )/
                FDEATH  ( 0,8,9 )/
                FOLD  ( 998,999 )/
                FHA  ( 8,9 )/
                FHA60  ( 0,8,9 )/
                FSTR  ( 8,9 )/
                FSTR60  ( 0,8,9 )/
                FHBP  ( 8,9 )/
                FCHOL  ( 8,9 )/
                MALIVE  ( 8,9 )/
                MDEATH  ( 0,8,9 )/
                MOLD  ( 998,999 )/
                MHA  ( 8,9 )/
                MHA60  ( 0,8,9 )/
                MSTR  ( 8,9 )/
                MSTR60  ( 0,8,9 )/
                MHBP  ( 8,9 )/
                MCHOL  ( 8,9 )/
                BSNUM  ( 98,99 )/
                BSALIVE  ( 96,98,99 )/
                BSHA  ( 96,98,99 )/
                BSHBP  ( 96,98,99 )/
                BSSTR  ( 96,98,99 )/
                BSCHOL  ( 96,98,99 )/
                GPALIVE  ( 97,98,99 )/
                GPHA  ( 97,98,99 )/
                GPHBP  ( 97,98,99 )/
                GPSTR  ( 97,98,99 )/
                GPCHOL  ( 97,98,99 )/.
SAVE OUTFILE='C:\DAIS\DATA\EXTRACT\HD8992F\HD8992F.SAV'.
EXECUTE.

 