
LIBNAME LIBRARY 'C:\DAIS\DATA\EXTRACT\HHD8692';
PROC FORMAT LIBRARY=LIBRARY;
VALUE  V2_F   0 = 'NOT ATTENDED'
             1 = 'CLINIC ATTENDED'
       ;
VALUE  V3_F   0 = 'NO BLOOD SPEC'
             1 = 'BLOOD SPECIMEN'
       ;
VALUE  V4_F   10 = 'NEWFOUNDLAND'
             11 = 'PRINCE EDWARD IS'
             12 = 'NOVA SCOTIA'
             13 = 'NEW BRUNSWICK'
             24 = 'QUEBEC'
             35 = 'ONTARIO'
             46 = 'MANITOBA'
             47 = 'SASKATCHEWAN'
             48 = 'ALBERTA'
             59 = 'BRITISH COLUMBIA'
       ;
VALUE  V5_F   1 = 'RURAL'
             2 = 'URBAN'
             .A = 'VARIABLE UNKNOWN'
       ;
VALUE  V6_F   1 = 'MALE'
             2 = 'FEMALE'
       ;
VALUE  V8_F   1 = '18-34 YEARS'
             2 = '35-64 YEARS'
             3 = '65-74 YEARS'
       ;
VALUE  V9_F   1 = '18-24'
             2 = '25-34'
             3 = '35-44'
             4 = '45-54'
             5 = '55-64'
             6 = '65-74'
       ;
VALUE  V10_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V11_F   1 = 'ELEMEN OR LESS'
             2 = 'SOME SECONDARY'
             3 = 'SECONDARY COMP'
             4 = 'UNIVERSITY DEG'
             .B = 'NOT STATED/REF'
       ;
VALUE  V12_F   1 = 'UNDER $12000'
             2 = '$12000 - $24999'
             3 = '$25000 - $49999'
             4 = '$50000 AND OVER'
             .B = 'NOT STATED/REF'
       ;
VALUE  V13_F   1 = 'LOW INCOME'
             2 = 'MIDDLE INCOME'
             3 = 'HIGH INCOME'
             .A = 'UNKNOWN INCOME'
       ;
VALUE  V14_F   1 = 'FULL-TIME'
             2 = 'PART-TIME'
             3 = 'UNEMPLOYED'
             4 = 'LAID OFF'
             5 = 'RETIRED'
             6 = 'OTHER'
             7 = 'HOMEMAKER'
             8 = 'STUDENT'
             .B = 'NOT STATED/REF'
       ;
VALUE  V15_F   1 = 'PROFESSIONAL'
             2 = 'CLERICAL WORKER'
             3 = 'SKILLED FOREMAN'
             4 = 'MANAGER/OFFICIAL'
             5 = 'SALES WORKER'
             6 = 'NON-SKILLED'
             7 = 'OTHER WORK'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V16_F   1 = 'NEVER MARRIED'
             2 = 'DIVORCED'
             3 = 'MARRIED/COM LAW'
             4 = 'WIDOWED/WIDOWER'
             5 = 'SEPARATED'
             .B = 'NOT STATED/REF'
       ;
VALUE  V17_F   1 = 'ENGLISH'
             2 = 'FRENCH'
             3 = 'OTHER'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V18_F   .B = 'NOT STATED/REF'
       ;
VALUE  V20_F   .A = 'NO CLINIC DATA'
       ;
VALUE  V21_F   .B = 'NOT STATED/REF'
       ;
VALUE  V22_F   .B = 'NOT STATED/REF'
       ;
VALUE  V23_F   .B = 'NOT STATED/REF'
       ;
VALUE  V24_F   .B = 'NOT STATED/REF'
       ;
VALUE  V25_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V26_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V27_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V28_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V29_F   .A = 'NOT STATED/REF'
       ;
VALUE  V30_F   1 = '<120'
             2 = '120-129'
             3 = '130-139'
             4 = '140-149'
             5 = '150-159'
             6 = '>=160'
             .A = 'NOT STATED/REF'
       ;
VALUE  V31_F   .A = 'NOT STATED/REF'
       ;
VALUE  V32_F   1 = '<80'
             2 = '80-84'
             3 = '85-89'
             4 = '90-94'
             5 = '95-99'
             6 = '>=100'
             .A = 'NOT STATED/REF'
       ;
VALUE  V33_F   0 = 'NOT HYPERTENSIVE'
             1 = 'HYPERTENSIVE'
       ;
VALUE  V34_F   0 = 'NOT HYPERTENSIVE'
             1 = 'HYPERTENSIVE'
       ;
VALUE  V35_F   1 = 'TREATED & CONT'
             2 = 'TREATED/NOT CONT'
             3 = 'UNTREATED/UNCONT'
             4 = 'UNAWARE'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V36_F   1 = 'TREATED/CONT'
             2 = 'TREATED/NOT CONT'
             3 = 'UNTREATED/UNCONT'
             4 = 'UNAWARE'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V37_F   0 = 'NO'
             1 = 'YES'
       ;
VALUE  V38_F   0 = 'NO'
             1 = 'YES'
       ;
VALUE  V39_F   .D = 'VARIABLE UNKNOWN'
             .E = 'RECODED MISSING'
             .F = 'NOT STATED/REF'
       ;
VALUE  V40_F   .D = 'VARIABLE UNKNOWN'
             .E = 'RECODED MISSING'
             .F = 'NOT STATED/REF'
       ;
VALUE  V41_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V42_F   1 = '<20'
             2 = '20-24.9'
             3 = '25-26.9'
             4 = '27-29.9'
             5 = '30-34.9'
             6 = '>=35'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V43_F   0 = '<25'
             1 = '>=25'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V44_F   0 = '<27'
             1 = '>=27'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V45_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V46_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V47_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V48_F   1 = '<0.8'
             2 = '0.80-0.89'
             3 = '0.90-0.99'
             4 = '>=1.00'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NOT STATED/REF'
             .A = 'FEMALES'
       ;
VALUE  V49_F   1 = '<0.7'
             2 = '0.70-0.79'
             3 = '0.80-0.89'
             4 = '>=0.90'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NOT STATED/REF'
             .A = 'MALES'
       ;
VALUE  V50_F   0 = 'LOW W/H RATIO'
             1 = 'HIGH W/H RATIO'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V51_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V52_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V53_F   1 = '8 OR MORE HOURS'
             2 = 'LESS THAN 8 HRS'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V54_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NO MEASUREMENT'
       ;
VALUE  V55_F   1 = '<5.2 MMOL/L'
             2 = '5.2-6.1 MMOL/L'
             3 = '>=6.2 MMOL/L'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NO MEASUREMENT'
       ;
VALUE  V56_F   1 = '<5.2 MMOL/L'
             2 = '5.2-6.1 MMOL/L'
             3 = '>=6.2 MMOL/L'
             .A = 'NON FASTING BLD'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NO MEASUREMENT'
       ;
VALUE  V57_F   0 = '<5.2 MMOL/L'
             1 = '>=5.2 MMOL/L'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NO MEASUREMENT'
       ;
VALUE  V58_F   0 = '<6.2 MMOL/L'
             1 = '>=6.2MMOL/L'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NO MEASUREMENT'
       ;
VALUE  V59_F   0 = '<5.2 MMOL/L'
             1 = '>=5.2 MMOL/L'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NO MEASUREMENT'
             .A = 'NON FASTING BLD'
       ;
VALUE  V60_F   0 = '<6.2 MMOL/L'
             1 = '>=6.2 MMOL/L'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NO MEASUREMENT'
             .A = 'NON FASTING BLD'
       ;
VALUE  V61_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NO MEASUREMENT'
       ;
VALUE  V62_F   1 = '<0.9 MMOL/L'
             2 = '0.9-1.2 MMOL/L'
             3 = '>=1.3 MMOL/L'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NO MEASUREMENT'
             .A = 'NON FASTING BLD'
       ;
VALUE  V63_F   0 = '>=0.9 MMOL/L'
             1 = '<0.9 MMOL/L'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NO MEASUREMENT'
             .A = 'NON FASTING BLD'
       ;
VALUE  V64_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NO MEASUREMENT'
       ;
VALUE  V65_F   1 = '<3.4 MMOL/L'
             2 = '3.4-4.0 MMOL/L'
             3 = '>=4.1 MMOL/L'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NO MEASUREMENT'
             .A = 'NON FASTING BLD'
       ;
VALUE  V66_F   0 = '<3.4 MMOL/L'
             1 = '>=3.4 MMOL/L'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NO MEASUREMENT'
             .A = 'NON FASTING BLD'
       ;
VALUE  V67_F   0 = '<4.1 MMOL/L'
             1 = '>=4.1 MMOL/L'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NO MEASUREMENT'
             .A = 'NON FASTING BLD'
       ;
VALUE  V68_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NO MEASUREMENT'
       ;
VALUE  V69_F   1 = '<2.3 MMOL/L'
             2 = '>=2.3 MMOL/L'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NO MEASUREMENT'
             .A = 'NON FASTING BLD'
       ;
VALUE  V70_F   0 = '<2.3 MMOL/L'
             1 = '>=2.3 MMOL/L'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NO MEASUREMENT'
             .A = 'NON FASTING BLD'
       ;
VALUE  V71_F   0 = 'NO'
             1 = 'YES'
             .B = 'NOT STATED/REF'
       ;
VALUE  V72_F   1 = 'NEVER SMOKED'
             2 = 'FORMER SMOKER'
             3 = 'REG CIGARETTE'
             4 = 'OCC CIGARETTE'
             5 = 'PIPE OR CIGAR'
             .A = 'NOT STATED/REF'
       ;
VALUE  V73_F   1 = 'NOT REG SMOKER'
             2 = '1-10 PER DAY'
             3 = '11-25 PER DAY'
             4 = '>25 PER DAY'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V74_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V75_F   0 = 'NO'
             1 = 'YES'
             .B = 'NOT STATED/REF'
       ;
VALUE  V76_F   1 = 'NEVER DRINK'
             2 = 'FORMER DRINKER'
             3 = 'CURRENT DRINKER'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V77_F   0 = 'NO DIABETES'
             1 = 'DIABETES REPORTED'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V78_F   0 = 'NO RISK FACTORS'
             1 = '1 RISK FACTOR'
             2 = '2 RISK FACTORS'
             3 = '3 RISK FACTORS'
             .A = 'MISSING'
       ;
VALUE  V79_F   0 = 'NO RISK FACTORS'
             1 = '1 RISK FACTOR'
             2 = '2 RISK FACTORS'
             3 = '3 RISK FACTORS'
             .A = 'MISSING'
       ;
VALUE  V80_F   0 = 'NO RISK FACTORS'
             1 = '1 RISK FACTOR'
             2 = '2 RISK FACTORS'
             3 = '3 RISK FACTORS'
             4 = '4 RISK FACTORS'
             .A = 'MISSING'
       ;
VALUE  V81_F   0 = 'NO RISK FACTORS'
             1 = '1 RISK FACTOR'
             2 = '2 RISK FACTORS'
             3 = '3 RISK FACTORS'
             4 = '4 RISK FACTORS'
             .A = 'MISSING'
       ;
VALUE  V82_F   1 = 'YES'
             2 = 'NO'
             .B = 'NOT STATED/REF'
       ;
VALUE  V83_F   1 = 'LESS THAN 6 MTHS'
             2 = '6-12 MONTHS'
             3 = 'OVER A YEAR'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V84_F   1 = 'DOCTOR'
             2 = 'NURSE'
             3 = 'FAMILY OR FRIEND'
             4 = 'COIN MACHINE'
             5 = 'CHECKED SELF'
             6 = 'OTHER'
             .B = 'NOT SURE'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V85_F   1 = 'IN NUMBERS ONLY'
             2 = 'NUMBERS & WORDS'
             3 = 'IN WORDS ONLY'
             4 = 'NOT DESCRIBED'
             .B = 'NOT SURE'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V86_F   .B = 'CAN NOT REMEMBER'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V87_F   .B = 'CAN NOT REMEMBER'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V88_F   1 = 'YES'
             2 = 'NO'
             .A = 'CAN NOT REMEMBER'
             .B = 'NOT STATED/REF'
       ;
VALUE  V89_F   1 = 'YES'
             2 = 'NO'
             .B = 'NOT SURE'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V90_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V91_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V92_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V93_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V94_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V95_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V96_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V97_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V98_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V99_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V100_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V101_F   1 = 'DIFF PROGRAM NOW'
             2 = 'SAME PROGRAM'
             3 = 'NO PROGRAM NOW'
             .B = 'NOT SURE'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V102_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V103_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V104_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V105_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V106_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V107_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V108_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V109_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V110_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V111_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V112_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V113_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V114_F   1 = 'YES'
             2 = 'NO'
             .B = 'NOT SURE'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V115_F   1 = 'YES'
             2 = 'NO'
             .B = 'NOT SURE'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V116_F   1 = 'YES'
             2 = 'NO'
             .A = 'DO NOT KNOW'
             .B = 'NOT STATED/REF'
       ;
VALUE  V117_F   1 = 'YES'
             2 = 'NO'
             .A = 'DO NOT KNOW'
       ;
VALUE  V118_F   1 = 'RESPONSE GIVEN'
             .B = 'NO RESPONSE'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V119_F   1 = 'RESPONSE GIVEN'
             .A = 'NO RESPONSE'
       ;
VALUE  V120_F   1 = 'YES'
             2 = 'NO'
             .A = 'NOT STATED/REF'
       ;
VALUE  V121_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V122_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V123_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V124_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V125_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V126_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V127_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V128_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V129_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V130_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V131_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V132_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V133_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V134_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V135_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V136_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V137_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V138_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V139_F   1 = 'YES'
             2 = 'NO'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V140_F   .D = 'VARIABLE UNKNOWN'
             .E = 'CAN NOT REMEMBER'
             .F = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V141_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V142_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V143_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V144_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V145_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V146_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V147_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V148_F   1 = 'YES'
             2 = 'NO'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V149_F   1 = 'YES'
             2 = 'NO'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V150_F   .D = '< ONCE A MONTH'
             .E = 'VARIABLE UNKNOWN'
             .F = 'DO NOT KNOW'
             .G = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V151_F   .D = 'VARIABLE UNKNOWN'
             .E = 'DO NOT KNOW'
             .F = 'NOT STATED/REFUSED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V152_F   1 = 'YES'
             2 = 'NO'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V153_F   1 = 'LOSE WEIGHT'
             2 = 'GAIN WEIGHT'
             3 = 'NEITHER'
             .A = 'NOT STATED/REF'
       ;
VALUE  V154_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V155_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V156_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V157_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V158_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V159_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V160_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V161_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V162_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V163_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V164_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V165_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V166_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V167_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V168_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V169_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V170_F   .D = 'VARIABLE UNKNOWN'
             .E = 'RECODED MISSING'
             .F = 'NOT STATED/REF'
       ;
VALUE  V171_F   .D = 'VARIABLE UNKNOWN'
             .E = 'RECODED MISSING'
             .F = 'NOT STATED/REF'
       ;
VALUE  V172_F   .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V173_F   1 = 'OFTEN'
             2 = 'SOMETIMES'
             3 = 'OCCASIONALLY'
             4 = 'NEVER'
             .A = 'VARIABLE UNKNOWN'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
       ;
VALUE  V174_F   1 = 'OFTEN'
             2 = 'SOMETIMES'
             3 = 'OCCASIONALLY'
             4 = 'NEVER'
             .A = 'VARIABLE UNKNOWN'
             .B = 'NOT STATED/REF'
       ;
VALUE  V175_F   1 = 'YES'
             2 = 'NO'
             .A = 'VARIABLE UNKNOWN'
             .B = 'DO NOT KNOW'
       ;
VALUE  V176_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V177_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V178_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V179_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V180_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V181_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V182_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V183_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V184_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V185_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V186_F   1 = 'YES'
             8 = 'NO/NOT SURE'
             .A = 'NOT STATED/REF'
       ;
VALUE  V187_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V188_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V189_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V190_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V191_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V192_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V193_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V194_F   1 = 'YES'
             2 = 'NO'
             .A = 'VARIABLE UNKNOWN'
       ;
VALUE  V195_F   1 = 'RESPONSE GIVEN'
             .B = 'VARIABLE UNKNOWN'
             .C = 'NO RESPONSE GIVEN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V196_F   1 = 'YES'
             2 = 'NO'
             .B = 'DO NOT KNOW'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V197_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V198_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V199_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V200_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V201_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V202_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V203_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V204_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V205_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V206_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V207_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'VARIABLE UNKNOWN'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V208_F   1 = 'YES'
             2 = 'NO'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V209_F   1 = 'YES'
             2 = 'NO'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V210_F   1 = 'YES'
             2 = 'NO'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V211_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V212_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V213_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V214_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V215_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V216_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V217_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V218_F   1 = 'YES'
             2 = 'NO'
             .B = 'NOT SURE'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V219_F   1 = 'YES'
             2 = 'NO'
             .B = 'CAN NOT REMEMBER'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V220_F   1 = 'YES'
             2 = 'NO'
             .B = 'CAN NOT REMEMBER'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V221_F   1 = 'YES'
             2 = 'NO'
             .B = 'CAN NOT REMEMBER'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V222_F   1 = 'YES'
             2 = 'NO'
             .B = 'CAN NOT REMEMBER'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V223_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V224_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V225_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V226_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V227_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V228_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V229_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V230_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V231_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V232_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V233_F   1 = 'YES'
             2 = 'NO'
       ;
VALUE  V234_F   1 = 'YES'
             2 = 'NO'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V235_F   1 = 'REGULARLY'
             2 = 'OCCASIONALLY'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V236_F   1 = 'YES'
             2 = 'NO'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V237_F   1 = 'REGULARLY'
             2 = 'OCCASIONALLY'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V238_F   1 = 'YES'
             2 = 'NO'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V239_F   1 = 'REGULARLY'
             2 = 'OCCASIONALLY'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V240_F   .B = 'VARIABLE UNKNOWN'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V241_F   1 = 'YES'
             2 = 'NO'
             .A = 'CAN NOT REMEMBER'
             .B = 'NOT STATED/REF'
       ;
VALUE  V242_F   1 = 'MOST OF IT'
             2 = 'SOME OF IT'
             3 = 'NONE OF IT'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V243_F   1 = '<15 MINUTES'
             2 = '15 TO 30 MINUTES'
             3 = '31 TO 60 MINUTES'
             4 = '60+ MINUTES'
             .B = 'DO NOT KNOW'
             .C = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V244_F   1 = 'YES'
             2 = 'NO'
             .D = 'VARIABLE UNKNOWN'
             .E = 'CAN NOT REMEMBER'
             .F = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
VALUE  V245_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V246_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V247_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V248_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V249_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V250_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V251_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V252_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V253_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V254_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V255_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V256_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V257_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V258_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V259_F   1 = 'MENTIONED'
             2 = 'NOT MENTIONED'
       ;
VALUE  V260_F   1 = 'YES'
             2 = 'NO'
             .A = 'NOT SURE'
             .B = 'NOT STATED/REF'
       ;
VALUE  V261_F   1 = 'YES'
             2 = 'NO'
             .A = 'NOT SURE'
             .B = 'NOT STATED/REF'
       ;
VALUE  V262_F   1 = 'YES'
             2 = 'NO'
             .A = 'NOT SURE'
             .B = 'NOT STATED/REF'
       ;
VALUE  V263_F   1 = 'YES'
             2 = 'NO'
             .A = 'NOT SURE'
             .B = 'NOT STATED/REF'
       ;
VALUE  V264_F   1 = 'YES'
             2 = 'NO'
             .A = 'NOT SURE'
             .B = 'NOT STATED/REF'
       ;
VALUE  V265_F   1 = 'YES'
             2 = 'NO'
             .A = 'NOT SURE'
             .B = 'NOT STATED/REF'
       ;
VALUE  V266_F   1 = 'ORAL CONTRACEPT'
             2 = 'HORMONAL PILL'
             3 = 'NEITHER'
             .B = 'NOT STATED/REF'
             .A = 'NOT APPLICABLE'
       ;
RUN;
LIBNAME OUT 'C:\DAIS\DATA\EXTRACT\HHD8692';
DATA OUT.HHD8692;
INFILE 'D:\DAIS\DATA\HHD8692\HHD8692.DAT' LRECL =  368;
INPUT  SEQNO   1-5
       INCLINIC   6-6
       INBLOOD   7-7
       PROV   8-9
       AREA   10-10
       SEX   11-11
       AGE   12-15
       GPAGE   16-16
       GPAGE2   17-17
       EDUCYRS   18-19
       EDUC   20-20
       INCOME   21-21
       INCADEQ   22-22
       EMPLOY   23-24
       WORKTYPE   25-26
       MARITAL   27-27
       LANG   28-28
       HOUSEHLD   29-30
       PWGTQ   31-38 .2
       PWGTC   39-46 .2
       BPS1   47-49
       BPD1   50-52
       BPS2   53-55
       BPD2   56-58
       BPCS1   59-61
       BPCD1   62-64
       BPCS2   65-67
       BPCD2   68-70
       MSYS   71-75 .1
       SYSCAT   76-76
       MDIAS   77-81 .1
       DIASCAT   82-82
       HYPER   83-83
       H14090   84-84
       HATCS   85-85
       HATCSDS   86-86
       PHARM   87-87
       NPHARM   88-88
       HGTC   89-91
       WGTC   92-94
       BMI   95-98 .1
       BMICAT   99-99
       BMI25   100-100
       BMI27   101-101
       WAIST   102-104
       HIP   105-107
       WHR   108-111 .2
       WHRMEN   112-112
       WHRWOMEN   113-113
       WHRCAT   114-114
       PULSE   115-117
       HRS   118-121 .1
       FAST   122-122
       TCHOL   123-127 .2
       TCHOLCAT   128-128
       TCHLFCAT   129-129
       TCHOL52A   130-130
       TCHOL62A   131-131
       TCHOL52F   132-132
       TCHOL62F   133-133
       HDL   134-138 .2
       HDLFCAT   139-139
       HDL09F   140-140
       LDL   141-145 .2
       LDLFCAT   146-146
       LDL34F   147-147
       LDL41F   148-148
       TRIG   149-153 .2
       TRIGFCAT   154-154
       TRIG23F   155-155
       REGSMOK   156-156
       SMOKECAT   157-157
       CIGCAT   158-158
       CIG_DAY   159-161
       SEDENT   162-162
       ALCOHOL   163-163
       DIABCAT   164-164
       MRF3A   165-165
       MRF3B   166-166
       MRF4A   167-167
       MRF4B   168-168
       BPPREV   169-169
       BPWHEN   170-170
       BPWHO   171-171
       BPINFO   172-172
       BPPREVS   173-175
       BPPREVD   176-178
       BPHIGH   179-179
       BPHIGHTR   180-180
       BPRX1   181-181
       BPRXAND1   182-182
       BPSALT1   183-183
       BPWGT1   184-184
       BPSTR1   185-185
       BPSMOK1   186-186
       BPALC1   187-187
       BPEXER1   188-188
       BPBIO1   189-189
       BPOTH1   190-190
       BPDK1   191-191
       BPPRG2   192-192
       BPRX2   193-193
       BPRXAND2   194-194
       BPSALT2   195-195
       BPWGT2   196-196
       BPSTR2   197-197
       BPSMOK2   198-198
       BPALC2   199-199
       BPEXER2   200-200
       BPBIO2   201-201
       BPNONE2   202-202
       BPOTH2   203-203
       BPDK2   204-204
       BPRXNOW   205-205
       BPRXEVER   206-206
       BPOKNOW   207-207
       BPHEALTH   208-208
       BPHLTHOW   209-209
       BPCAUSE   210-210
       BPFOOD   211-211
       BPSALT   212-212
       BPSODIUM   213-213
       BPALC   214-214
       BPFATS   215-215
       BPSATFAT   216-216
       BPCHOL   217-217
       BPCALOR   218-218
       BPADDIT   219-219
       BPCAFF   220-220
       BPSUGAR   221-221
       BPSTARCH   222-222
       BPPORK   223-223
       BPOTHMTS   224-224
       BPMEATS   225-225
       BPFRIED   226-226
       BPCALC   227-227
       BPOTHER   228-228
       BPDK   229-229
       DIABET   230-230
       DIABAGE   231-232
       DBNOTRT   233-233
       DBINS   234-234
       DBRX   235-235
       DBDIET   236-236
       DBWGT   237-237
       DBOTHER   238-238
       DBDK   239-239
       ALCEVER   240-240
       ALC12MTH   241-241
       ALCMTH   242-243
       ALCNUM   244-245
       WGTLOSE   246-246
       WGTNOW   247-247
       WGTDIET   248-248
       WGTEXER   249-249
       WGTMEALS   250-250
       WGTPILLS   251-251
       WGTPRGM   252-252
       WGTOTHER   253-253
       WGTDK1   254-254
       WGTLOOKS   255-255
       WGTHLTH   256-256
       WGTHEART   257-257
       WGTBP   258-258
       WGTCHOL   259-259
       WGTART   260-260
       WGTDIAB   261-261
       WGTOTH   262-262
       WGTDK2   263-263
       HGT   264-266
       WGT   267-269
       WGTLIKE   270-272
       SALTCOOK   273-273
       SALTFOOD   274-274
       SALTHLTH   275-275
       SALTBP   276-276
       SALTWGT   277-277
       SALTEDEM   278-278
       SALTHA   279-279
       SALTSTR   280-280
       SALTKIDN   281-281
       SALTRX   282-282
       SALTART   283-283
       SALTOTH   284-284
       SALTDK   285-285
       FATS   286-286
       FATOBS   287-287
       FATHEART   288-288
       FATCHOL   289-289
       FATBP   290-290
       FATART   291-291
       FATDK   292-292
       FATOTH   293-293
       CHOL   294-294
       CHOLINFO   295-295
       CHOLFOOD   296-296
       CHOLEGGS   297-297
       CHOLPOUL   298-298
       CHOLBEEF   299-299
       CHOLPORK   300-300
       CHOLSEA   301-301
       CHOLMILK   302-302
       CHOLCHSE   303-303
       CHOLOTH   304-304
       CHOLBUT   305-305
       CHOLFAST   306-306
       CHOLDK   307-307
       CHOLHLTH   308-308
       CHOLINBL   309-309
       CHOLBLD   310-310
       CHOLART   311-311
       CHOLBP   312-312
       CHOLHA   313-313
       CHOLSTR   314-314
       CHOLANG   315-315
       CHOLOTHR   316-316
       CHOLDK2   317-317
       BCHOL   318-318
       BCHTOLD   319-319
       BCHHIGH   320-320
       BCHTRT   321-321
       BCHDIET   322-322
       BCHEXER   323-323
       BCHSTRES   324-324
       BCHRX   325-325
       BCHCHOL   326-326
       BCHFAT   327-327
       BCHWGT   328-328
       BCHSKIM   329-329
       BCHNONE   330-330
       BCHOTH   331-331
       BCHDK   332-332
       SMOK   333-333
       PIPE   334-334
       PIPENOW   335-335
       CIGAR   336-336
       CIGARNOW   337-337
       CIGET   338-338
       CIGETNOW   339-339
       CIGETNUM   340-342
       EXER   343-343
       EXERSTRN   344-344
       EXERLONG   345-345
       EXERWORK   346-346
       HDDIET   347-347
       HDWGT   348-348
       HDFATS   349-349
       HDSALT   350-350
       HDCHOLBD   351-351
       HDCHOLFD   352-352
       HDSTRESS   353-353
       HDTIRED   354-354
       HDEXER   355-355
       HDSMOKE   356-356
       HDHERED   357-357
       HDHBP   358-358
       HDART   359-359
       HDDK   360-360
       HDOTH   361-361
       HDPREV   362-362
       EVERHA   363-363
       EVERSTR   364-364
       STRPREV   365-365
       OTHHD   366-366
       RXHEART   367-367
       FEMRX   368-368
      ;
LABEL   SEQNO = 'SEQUENCE NUMBER'
        INCLINIC = 'CLINIC ATTENDED'
        INBLOOD = 'BLOOD SPECIMEN TAKEN'
        PROV = 'PROVINCE'
        AREA = 'AREA DESIGNATION BASED ON 10,000+ POP'
        SEX = 'SEX'
        AGE = 'AGE IN YEARS'
        GPAGE = 'AGE GROUP'
        GPAGE2 = 'AGE GROUPED IN 10 YEARS'
        EDUCYRS = 'YEARS OF EDUCATION'
        EDUC = 'GROUPED EDUCATION'
        INCOME = 'INCOME LEVEL'
        INCADEQ = 'INCOME ADEQUACY'
        EMPLOY = 'EMPLOYMENT STATUS'
        WORKTYPE = 'WORK CLASSIFICATION'
        MARITAL = 'CURRENT MARITAL STATUS'
        LANG = 'LANGUAGE'
        HOUSEHLD = 'NUMBER OF PERSONS IN HOUSEHOLD'
        PWGTQ = 'PROBABILITY WEIGHT FOR QUESTIONNAIRE'
        PWGTC = 'PROBABILITY WEIGHT FOR CLINIC/BLOOD'
        BPS1 = 'FIRST SYSTOLIC BLOOD PRESSURE READING'
        BPD1 = 'FIRST DIASTOLIC BLOOD PRESSURE READING'
        BPS2 = 'SECOND SYSTOLIC BLOOD PRESSURE READING'
        BPD2 = 'SECOND DIASTOLIC BLOOD PRESSURE READING'
        BPCS1 = 'CLINIC: FIRST SYSTOLIC BP READING'
        BPCD1 = 'CLINIC: FIRST DIASTOLIC BP READING'
        BPCS2 = 'CLINIC: SECOND SYSTOLIC BP READING'
        BPCD2 = 'CLINIC: SECOND DIASTOLIC BP READING'
        MSYS = 'AVERAGE SYSTOLIC BLOOD PRESSURE VALUE'
        SYSCAT = 'SYSTOLIC BLOOD PRESSURE CATEGORIES'
        MDIAS = 'AVERAGE DIASTOLIC BLOOD PRESSURE VALUE'
        DIASCAT = 'DIASTOLIC BLOOD PRESSURE CATEGORIES'
        HYPER = 'HYPERTENSIVE (HBP) STATUS'
        H14090 = 'HYPERTENSIVE STATUS BASED ON 140/90'
        HATCS = 'HBP AWARE TREATMENT CONTROL STATUS'
        HATCSDS = 'HBP AWARE/TREAT/CONTROL BASED ON 140/90'
        PHARM = 'ON PHARMACOLOGICAL TREATMENT FOR HBP?'
        NPHARM = 'ON NON-PHARMACOLOGICAL TREATMENT FOR HBP?'
        HGTC = 'CLINIC: HEIGHT IN CENTIMETRES'
        WGTC = 'CLINIC: WEIGHT IN KILOGRAMS'
        BMI = 'BODY MASS INDEX'
        BMICAT = 'BMI CATEGORIES'
        BMI25 = 'BMI, CUT POINT OF 25'
        BMI27 = 'BMI, CUT POINT OF 27'
        WAIST = 'CLINIC: WAIST IN CENTIMETRES'
        HIP = 'CLINIC: HIP IN CENTIMETRES'
        WHR = 'WAIST/HIP RATIO'
        WHRMEN = 'WAIST/HIP RATIO CATEGORIES FOR MALES'
        WHRWOMEN = 'WAIST/HIP RATIO CATEGORIES FOR FEMALES'
        WHRCAT = 'WAIST/HIP RATIO RISK CATEGORIES'
        PULSE = 'CLINIC: PULSE MEASUREMENT'
        HRS = 'CLINIC: HOURS SINCE LAST MEAL'
        FAST = 'FASTING BLOOD SAMPLE >=8 HRS?'
        TCHOL = 'TOTAL PLASMA CHOLESTEROL (MMOL/L)'
        TCHOLCAT = 'TOTAL CHOL CATEGORIES, ALL SUBJECTS'
        TCHLFCAT = 'TOTAL CHOL CATEGORIES, FASTING ONLY'
        TCHOL52A = 'TOTAL CHOL, CUT POINT= 5.2, ALL SUBJECTS'
        TCHOL62A = 'TOTAL CHOL, CUT POINT= 6.2, ALL SUBJECTS'
        TCHOL52F = 'TOTAL CHOL, CUT POINT= 5.2, FASTING ONLY'
        TCHOL62F = 'TOTAL CHOL, CUT POINT= 6.2, FASTING ONLY'
        HDL = 'HIGH DENSITY LIPOPROTEINS (MMOL/L)'
        HDLFCAT = 'HDL CATEGORIES, FASTING SUBJECTS ONLY'
        HDL09F = 'HDL, CUT POINT= 0.9, FASTING ONLY'
        LDL = 'LOW DENSITY LIPOPROTEINS (MMOL/L)'
        LDLFCAT = 'LDL CATEGORIES, FASTING SUBJECTS ONLY'
        LDL34F = 'LDL, CUT POINT= 3.4, FASTING ONLY'
        LDL41F = 'LDL, CUT POINT= 4.1, FASTING ONLY'
        TRIG = 'TRIGLYCERIDES (MMOL/L)'
        TRIGFCAT = 'TRIG CATEGORIES, FASTING SUBJECTS ONLY'
        TRIG23F = 'TRIG, CUT POINT= 2.3, FASTING ONLY'
        REGSMOK = 'REGULAR SMOKER?'
        SMOKECAT = 'CURRENT SMOKING STATUS'
        CIGCAT = 'CIGARETTES SMOKED CATEGORIES'
        CIG_DAY = 'NUMBER CIGARETTES PER DAY, ALL SUBJECTS'
        SEDENT = 'SEDENTARY?'
        ALCOHOL = 'ALCOHOL DRINKING STATUS'
        DIABCAT = 'DIABETES REPORTED OR NOT'
        MRF3A = 'SUM RISK FACTORS, SMOK+CHOL5.2+HYPER'
        MRF3B = 'SUM RISK FACTORS, SMOK+CHOL5.2+H14090'
        MRF4A = 'SUM RISK FACTORS, SMOK+CH5.2+HYP+SEDENT'
        MRF4B = 'SUM RISK FACTORS, SMK+CH5.2+H14090+SEDENT'
        BPPREV = 'EVER HAD BLOOD PRESSURE CHECKED?'
        BPWHEN = 'TIME SINCE LAST BP CHECK?'
        BPWHO = 'WHO CHECKED YOUR BLOOD PRESSURE?'
        BPINFO = 'HOW WAS BLOOD PRESSURE DESCRIBED?'
        BPPREVS = 'LAST SYSTOLIC BLOOD PRESSURE READING'
        BPPREVD = 'LAST DIASTOLIC BLOOD PRESSURE READING'
        BPHIGH = 'EVER TOLD YOU HAD HIGH BLOOD PRESSURE?'
        BPHIGHTR = 'ANY TREATMENT PRESCRIBED FOR HIGH BP?'
        BPRX1 = 'BP TREATMENT PRESC: MEDICATION?'
        BPRXAND1 = 'BP TREATMENT PRESC: MEDICINE AND OTHER?'
        BPSALT1 = 'BP TREATMENT PRESC: SALT FREE DIET?'
        BPWGT1 = 'BP TREATMENT PRESC: WATCH WEIGHT?'
        BPSTR1 = 'BP TREATMENT PRESC: AVOID STRESS?'
        BPSMOK1 = 'BP TREATMENT PRESC: REDUCE/STOP SMOKING?'
        BPALC1 = 'BP TREATMENT PRESC: REDUCE ALCOHOL?'
        BPEXER1 = 'BP TREATMENT PRESC: START EXERCISE?'
        BPBIO1 = 'BP TREATMENT PRESC: USE BIOFEEDBACK?'
        BPOTH1 = 'BP TREATMENT PRESC: OTHER TREATMENT?'
        BPDK1 = 'BP TREATMENT PRESC: DK/NOT STATED'
        BPPRG2 = 'SAME/DIFFERENT PROGRAM FOR HIGH BP NOW?'
        BPRX2 = 'BP TREATMENT NOW: MEDICATION?'
        BPRXAND2 = 'BP TREATMENT NOW: MEDICINE AND OTHER?'
        BPSALT2 = 'BP TREATMENT NOW: SALT FREE DIET?'
        BPWGT2 = 'BP TREATMENT NOW: WATCH WEIGHT?'
        BPSTR2 = 'BP TREATMENT NOW: AVOID STRESS?'
        BPSMOK2 = 'BP TREATMENT NOW: REDUCE/STOP SMOKING?'
        BPALC2 = 'BP TREATMENT NOW: REDUCE ALCOHOL?'
        BPEXER2 = 'BP TREATMENT NOW: START EXERCISE?'
        BPBIO2 = 'BP TREATMENT NOW: USE BIOFEEDBACK?'
        BPNONE2 = 'BP TREATMENT NOW: NONE?'
        BPOTH2 = 'BP TREATMENT NOW: OTHER?'
        BPDK2 = 'BP TREATMENT NOW: DONT KNOW/NOT STATED'
        BPRXNOW = 'NOW TAKING MEDICATION FOR HIGH BP?'
        BPRXEVER = 'EVER TAKEN MEDICATION FOR HIGH BP?'
        BPOKNOW = 'IS YOUR BLOOD PRESSURE NORMAL NOW?'
        BPHEALTH = 'DO YOU THINK HIGH BP CAN AFFECT HEALTH?'
        BPHLTHOW = 'HOW DO YOU THINK HBP CAN AFFECT HEALTH?'
        BPCAUSE = 'WHAT THINGS CAN CAUSE HIGH BP?'
        BPFOOD = 'HEARD HIGH BP RELATED TO FOOD/DRINKS?'
        BPSALT = 'HBP RELATED TO: SALT?'
        BPSODIUM = 'HBP RELATED TO: SODIUM?'
        BPALC = 'HBP RELATED TO: ALCOHOL?'
        BPFATS = 'HBP RELATED TO: FATS?'
        BPSATFAT = 'HBP RELATED TO: SATURATED FATS?'
        BPCHOL = 'HBP RELATED TO: CHOLESTEROL?'
        BPCALOR = 'HBP RELATED TO: CALORIES/OVEREATING?'
        BPADDIT = 'HBP RELATED TO: ADDITIVES/PRESERVATIVES?'
        BPCAFF = 'HBP RELATED TO: CAFFEINE/COFFEE?'
        BPSUGAR = 'HBP RELATED TO: SUGAR/SWEET FOODS?'
        BPSTARCH = 'HBP RELATED TO: STARCH/STARCHY FOODS?'
        BPPORK = 'HBP RELATED TO: PORK?'
        BPOTHMTS = 'HBP RELATED TO: SPECIFIC OTHER MEAT?'
        BPMEATS = 'HBP RELATED TO: MEATS GENERALLY?'
        BPFRIED = 'HBP RELATED TO: FRIED/GREASY/FAST FOODS?'
        BPCALC = 'HBP RELATED TO: CALCIUM?'
        BPOTHER = 'HBP RELATED TO: OTHER FOODS/DRINKS?'
        BPDK = 'HBP RELATED TO: DONT KNOW'
        DIABET = 'EVER TOLD YOU HAVE DIABETES?'
        DIABAGE = 'AGE WHEN TOLD YOU HAD DIABETES'
        DBNOTRT = 'DIABETES TX NOW: NO CURRENT TREATMENT?'
        DBINS = 'DIABETES TX NOW: INSULIN?'
        DBRX = 'DIABETES TX NOW: PILLS TO CONTROL B SUG?'
        DBDIET = 'DIABETES TX NOW: DIET?'
        DBWGT = 'DIABETES TX NOW: WEIGHT LOSS?'
        DBOTHER = 'DIABETES TX NOW: OTHER TREATMENT?'
        DBDK = 'DIABETES TX NOW: DONT KNOW/NOT STATED'
        ALCEVER = 'EVER TAKEN AN ALCOHOLIC DRINK?'
        ALC12MTH = 'TAKEN DRINK IN PAST 12 MONTHS?'
        ALCMTH = 'MONTHLY FREQ OF ALC DRINKS IN PAST YEAR'
        ALCNUM = 'AVERAGE DAILY ALCOHOL CONSUMPTION'
        WGTLOSE = 'EVER TRIED TO LOSE WEIGHT?'
        WGTNOW = 'PRESENTLY TRYING TO CHANGE WEIGHT?'
        WGTDIET = 'TO LOSE WEIGHT: DIETING?'
        WGTEXER = 'TO LOSE WEIGHT: EXERCISING?'
        WGTMEALS = 'TO LOSE WEIGHT: SKIPPING MEALS?'
        WGTPILLS = 'TO LOSE WEIGHT: TAKING DIET PILLS?'
        WGTPRGM = 'TO LOSE WEIGHT: ATTEND WGT CONT PRGMS?'
        WGTOTHER = 'TO LOSE WEIGHT: SOMETHING ELSE?'
        WGTDK1 = 'TO LOSE WEIGHT: DONT KNOW/NOT STATED'
        WGTLOOKS = 'WHY LOSE WEIGHT: TO BE MORE ATTRACTIVE?'
        WGTHLTH = 'WHY LOSE WEIGHT: TO IMPROVE GEN HEALTH?'
        WGTHEART = 'WHY LOSE WEIGHT: DEC RISK OF HRT ATTACK?'
        WGTBP = 'WHY LOSE WEIGHT: MAINTAIN ACCEPTABLE BP?'
        WGTCHOL = 'WHY LOSE WEIGHT: HAVE GOOD CHOL LEVEL?'
        WGTART = 'WHY LOSE WEIGHT: HARDENING OF ARTERIES?'
        WGTDIAB = 'WHY LOSE WEIGHT: DECR RISK OF DIABETES?'
        WGTOTH = 'WHY LOSE WEIGHT: OTHER REASONS?'
        WGTDK2 = 'WHY LOSE WEIGHT: DONT KNOW/NOT STATED'
        HGT = 'HEIGHT IN CENTIMETRES'
        WGT = 'WEIGHT IN KILOGRAMS'
        WGTLIKE = 'HOW MUCH WOULD YOU LIKE TO WEIGH(KG)?'
        SALTCOOK = 'HOW OFTEN IS SALT ADDED WHILE COOKING?'
        SALTFOOD = 'HOW OFTEN IS SALT ADDED AT THE TABLE?'
        SALTHLTH = 'CAN AMOUNT ON SALT EATEN AFFECT HEALTH?'
        SALTBP = 'SALT EFFECTS: BP WOULD INCREASE?'
        SALTWGT = 'SALT EFFECTS: WEIGHT WOULD INCREASE?'
        SALTEDEM = 'SALT EFFECTS: ANKLES MAY BECOME SWOLLEN?'
        SALTHA = 'SALT EFFECTS: INCR RISK OF HRT ATTACK?'
        SALTSTR = 'SALT EFFECTS: INCREASE RISK OF STROKE?'
        SALTKIDN = 'SALT EFFECTS: INCR RISK OF KIDNEY PRBMS?'
        SALTRX = 'SALT EFFECTS: TAKE BP PILLS/MEDICATION?'
        SALTART = 'SALT EFFECTS: INCR HARDENING OF ARTERIES?'
        SALTOTH = 'SALT EFFECTS: OTHER PROBLEMS?'
        SALTDK = 'SALT EFFECTS: DONT KNOW/NOT STATED'
        FATS = 'AWARE HLTH PRBMS RELATED TO EATING FAT?'
        FATOBS = 'FAT HLTH PROBLEMS: OVERWEIGHT/OBESITY?'
        FATHEART = 'FAT HLTH PROBLEMS: HEART DISEASE/ATTACK?'
        FATCHOL = 'FAT HLTH PROBLEMS: HIGH BLOOD CHOL?'
        FATBP = 'FAT HLTH PROBLEMS: HIGH BLOOD PRESSURE?'
        FATART = 'FAT HLTH PROBLEMS: ARTERIOSCLEROSIS?'
        FATDK = 'FAT HLTH PROBLEMS: NOT SURE?'
        FATOTH = 'FAT HLTH PROBLEMS: OTHER PROBLEMS?'
        CHOL = 'HAVE YOU HEARD ABOUT CHOLESTEROL?'
        CHOLINFO = 'WHAT HAVE YOU HEARD ABOUT CHOLESTEROL?'
        CHOLFOOD = 'DO YOU THINK CHOLESTEROL IS IN FOODS?'
        CHOLEGGS = 'CONTAINS CHOLESTEROL: EGGS/EGG YOLK?'
        CHOLPOUL = 'CONTAINS CHOLESTEROL: POULTRY?'
        CHOLBEEF = 'CONTAINS CHOLESTEROL: BEEF?'
        CHOLPORK = 'CONTAINS CHOLESTEROL: PORK?'
        CHOLSEA = 'CONTAINS CHOLESTEROL: SEAFOODS?'
        CHOLMILK = 'CONTAINS CHOLESTEROL: MILK?'
        CHOLCHSE = 'CONTAINS CHOLESTEROL: HARD CHEESE?'
        CHOLOTH = 'CONTAINS CHOLESTEROL: OTHER FOODS?'
        CHOLBUT = 'CONTAINS CHOLESTEROL: BUTTER?'
        CHOLFAST = 'CONTAINS CHOLESTEROL: FAST FOODS?'
        CHOLDK = 'CONTAINS CHOLESTEROL: DO NOT KNOW?'
        CHOLHLTH = 'CAN CHOLESTEROL IN FOODS AFFECT HEALTH?'
        CHOLINBL = 'DO YOU THINK CHOL IS FOUND IN BLOOD?'
        CHOLBLD = 'TOO MUCH CHOL IN BLOOD AFFECTS HEALTH?'
        CHOLART = 'CHOL AFFECTS HEALTH: HARDENING ARTERIES?'
        CHOLBP = 'CHOL AFFECTS HEALTH: INCREASE BP?'
        CHOLHA = 'CHOL AFFECTS HEALTH: HEART ATTACK?'
        CHOLSTR = 'CHOL AFFECTS HEALTH: STROKE?'
        CHOLANG = 'CHOL AFFECTS HEALTH: ANGINA/CHEST PAIN?'
        CHOLOTHR = 'CHOL AFFECTS HEALTH: OTHER PROBLEMS?'
        CHOLDK2 = 'CHOL AFFECTS HEALTH: DK/NOT STATED'
        BCHOL = 'EVER HAD BLOOD CHOLESTEROL MEASURED?'
        BCHTOLD = 'TOLD WHAT BLOOD CHOLESTEROL LEVEL WAS?'
        BCHHIGH = 'EVER TOLD YOUR BLOOD CHOL WAS HIGH?'
        BCHTRT = 'PRESCRIBED TX TO LOWER BLOOD CHOL?'
        BCHDIET = 'PRESENTLY ON DIET TO LOWER BLOOD CHOL?'
        BCHEXER = 'TO LOWER CHOL: EXERCISE REGULARLY?'
        BCHSTRES = 'TO LOWER CHOL: CONTROL STRESS/FATIGUE?'
        BCHRX = 'TO LOWER CHOL: TAKE PRESCRIBED MEDS?'
        BCHCHOL = 'TO LOWER CHOL: EAT FOOD WITH LESS CHOL?'
        BCHFAT = 'TO LOWER CHOL: EAT LESS FATTY FOODS?'
        BCHWGT = 'TO LOWER CHOL: LOSE WEIGHT?'
        BCHSKIM = 'TO LOWER CHOL: LOW FAT DAIRY PRODUCE?'
        BCHNONE = 'TO LOWER CHOL: NOTHING?'
        BCHOTH = 'TO LOWER CHOL: OTHER METHODS?'
        BCHDK = 'TO LOWER CHOL: DONT KNOW/NOT STATED'
        SMOK = 'EVER SMOKED CIGARETTES, CIGARS OR PIPES?'
        PIPE = 'DO YOU SMOKE A PIPE NOW?'
        PIPENOW = 'SMOKE PIPE REGULARLY OR OCCASIONALLY?'
        CIGAR = 'DO YOU SMOKE CIGARS NOW?'
        CIGARNOW = 'SMOKE CIGARS REGULARLY OR OCCASIONALLY?'
        CIGET = 'DO YOU SMOKE CIGARETTES NOW?'
        CIGETNOW = 'SMOKE CIGARETTES REGULARLY/OCCASIONALLY'
        CIGETNUM = 'NO OF CIGARETTES USUALLY SMOKED PER DAY?'
        EXER = 'EXERCISE REGULARLY (1+ TIMES A WEEK)?'
        EXERSTRN = 'HOW MUCH OF THIS EXERCISE IS STRENUOUS?'
        EXERLONG = 'HOW LONG DO YOU USUALLY EXERCISE?'
        EXERWORK = 'WORK REQUIRES STRENUOUS PHYS ACTIVITY?'
        HDDIET = 'CAUSES OF HRT DISEASE: POOR DIET?'
        HDWGT = 'CAUSES OF HRT DISEASE: OVERWEIGHT?'
        HDFATS = 'CAUSES OF HRT DISEASE: EXCESS FATS?'
        HDSALT = 'CAUSES OF HRT DISEASE: EXCESS SALT?'
        HDCHOLBD = 'CAUSES OF HRT DISEASE: HIGH BLOOD CHOL?'
        HDCHOLFD = 'CAUSES OF HRT DIS: FOODS WITH HIGH CHOL?'
        HDSTRESS = 'CAUSES OF HRT DISEASE: STRESS/WORRY?'
        HDTIRED = 'CAUSES OF HRT DISEASE: OVERWORK/FATIGUE?'
        HDEXER = 'CAUSES OF HRT DISEASE: LACK OF EXERCISE?'
        HDSMOKE = 'CAUSES OF HRT DISEASE: SMOKING?'
        HDHERED = 'CAUSES OF HRT DISEASE: HEREDITY?'
        HDHBP = 'CAUSES OF HRT DISEASE: HIGH BP?'
        HDART = 'CAUSES OF HRT DISEASE: ARTERIOSCLEROSIS?'
        HDDK = 'CAUSES OF HRT DISEASE: DO NOT KNOW?'
        HDOTH = 'CAUSES OF HRT DISEASE: OTHER CAUSES?'
        HDPREV = 'BELIEVE HEART DISEASE CAN BE PREVENTED?'
        EVERHA = 'HAVE YOU EVER HAD A HEART ATTACK?'
        EVERSTR = 'HAVE YOU EVER HAD A STROKE?'
        STRPREV = 'BELIEVE STROKES CAN BE PREVENTED?'
        OTHHD = 'DO YOU HAVE ANY OTHER HEART DISEASE?'
        RXHEART = 'TAKING ANY PRESCRIBED MEDS FOR HEART?'
        FEMRX = 'ON ORAL CONTRACEPTIVES/HORMONAL PILLS?'
      ;
IF  AREA = 7 THEN AREA         = .A;
IF  EDUCYRS = 97 THEN EDUCYRS      = .A;
IF  EDUCYRS = 99 THEN EDUCYRS      = .B;
IF  EDUC = 9 THEN EDUC         = .B;
IF  INCOME = 9 THEN INCOME       = .B;
IF  INCADEQ = 9 THEN INCADEQ      = .A;
IF  EMPLOY = 99 THEN EMPLOY       = .B;
IF  WORKTYPE = 99 THEN WORKTYPE     = .B;
IF  WORKTYPE = 0  THEN WORKTYPE     = .A;
IF  MARITAL = 9 THEN MARITAL      = .B;
IF  LANG = 7 THEN LANG         = .A;
IF  LANG = 9 THEN LANG         = .B;
IF  HOUSEHLD = 99 THEN HOUSEHLD     = .B;
IF  PWGTC = 0         THEN PWGTC        = .A;
IF  BPS1 = 999 THEN BPS1         = .B;
IF  BPD1 = 999 THEN BPD1         = .B;
IF  BPS2 = 999 THEN BPS2         = .B;
IF  BPD2 = 999 THEN BPD2         = .B;
IF  BPCS1 = 997 THEN BPCS1        = .A;
IF  BPCS1 = 999 THEN BPCS1        = .B;
IF  BPCD1 = 997 THEN BPCD1        = .A;
IF  BPCD1 = 999 THEN BPCD1        = .B;
IF  BPCS2 = 997 THEN BPCS2        = .A;
IF  BPCS2 = 999 THEN BPCS2        = .B;
IF  BPCD2 = 997 THEN BPCD2        = .A;
IF  BPCD2 = 999 THEN BPCD2        = .B;
IF  MSYS = 9999.9 THEN MSYS         = .A;
IF  SYSCAT = 9 THEN SYSCAT       = .A;
IF  MDIAS = 9999.9 THEN MDIAS        = .A;
IF  DIASCAT = 9 THEN DIASCAT      = .A;
IF  HATCS = 7 THEN HATCS        = .B;
IF  HATCS = 0 THEN HATCS        = .A;
IF  HATCSDS = 7 THEN HATCSDS      = .B;
IF  HATCSDS = 0 THEN HATCSDS      = .A;
IF  HGTC = 997 THEN HGTC         = .D;
IF  HGTC = 998 THEN HGTC         = .E;
IF  HGTC = 999 THEN HGTC         = .F;
IF  WGTC = 997 THEN WGTC         = .D;
IF  WGTC = 998 THEN WGTC         = .E;
IF  WGTC = 999 THEN WGTC         = .F;
IF  BMI = 999.7 THEN BMI          = .A;
IF  BMI = 999.9 THEN BMI          = .B;
IF  BMICAT = 7 THEN BMICAT       = .A;
IF  BMICAT = 9 THEN BMICAT       = .B;
IF  BMI25 = 7 THEN BMI25        = .A;
IF  BMI25 = 9 THEN BMI25        = .B;
IF  BMI27 = 7 THEN BMI27        = .A;
IF  BMI27 = 9 THEN BMI27        = .B;
IF  WAIST = 997 THEN WAIST        = .A;
IF  WAIST = 999 THEN WAIST        = .B;
IF  HIP = 997 THEN HIP          = .A;
IF  HIP = 999 THEN HIP          = .B;
IF  WHR = 99.97 THEN WHR          = .A;
IF  WHR = 99.99 THEN WHR          = .B;
IF  WHRMEN = 7 THEN WHRMEN       = .B;
IF  WHRMEN = 9 THEN WHRMEN       = .C;
IF  WHRMEN = 6 THEN WHRMEN       = .A;
IF  WHRWOMEN = 7 THEN WHRWOMEN     = .B;
IF  WHRWOMEN = 9 THEN WHRWOMEN     = .C;
IF  WHRWOMEN = 6 THEN WHRWOMEN     = .A;
IF  WHRCAT = 7 THEN WHRCAT       = .A;
IF  WHRCAT = 9 THEN WHRCAT       = .B;
IF  PULSE = 997 THEN PULSE        = .A;
IF  PULSE = 999 THEN PULSE        = .B;
IF  HRS = 999.7 THEN HRS          = .A;
IF  HRS = 999.9 THEN HRS          = .B;
IF  FAST = 7 THEN FAST         = .A;
IF  FAST = 9 THEN FAST         = .B;
IF  TCHOL = 999.97 THEN TCHOL        = .A;
IF  TCHOL = 999.99 THEN TCHOL        = .B;
IF  TCHOLCAT = 7 THEN TCHOLCAT     = .A;
IF  TCHOLCAT = 9 THEN TCHOLCAT     = .B;
IF  TCHLFCAT = 6 THEN TCHLFCAT     = .A;
IF  TCHLFCAT = 7 THEN TCHLFCAT     = .B;
IF  TCHLFCAT = 9 THEN TCHLFCAT     = .C;
IF  TCHOL52A = 7 THEN TCHOL52A     = .A;
IF  TCHOL52A = 9 THEN TCHOL52A     = .B;
IF  TCHOL62A = 7 THEN TCHOL62A     = .A;
IF  TCHOL62A = 9 THEN TCHOL62A     = .B;
IF  TCHOL52F = 7 THEN TCHOL52F     = .B;
IF  TCHOL52F = 9 THEN TCHOL52F     = .C;
IF  TCHOL52F = 6 THEN TCHOL52F     = .A;
IF  TCHOL62F = 7 THEN TCHOL62F     = .B;
IF  TCHOL62F = 9 THEN TCHOL62F     = .C;
IF  TCHOL62F = 6 THEN TCHOL62F     = .A;
IF  HDL = 999.97 THEN HDL          = .A;
IF  HDL = 999.99 THEN HDL          = .B;
IF  HDLFCAT = 7 THEN HDLFCAT      = .B;
IF  HDLFCAT = 9 THEN HDLFCAT      = .C;
IF  HDLFCAT = 6 THEN HDLFCAT      = .A;
IF  HDL09F = 7 THEN HDL09F       = .B;
IF  HDL09F = 9 THEN HDL09F       = .C;
IF  HDL09F = 6 THEN HDL09F       = .A;
IF  LDL = 999.97 THEN LDL          = .A;
IF  LDL = 999.99 THEN LDL          = .B;
IF  LDLFCAT = 7 THEN LDLFCAT      = .B;
IF  LDLFCAT = 9 THEN LDLFCAT      = .C;
IF  LDLFCAT = 6 THEN LDLFCAT      = .A;
IF  LDL34F = 7 THEN LDL34F       = .B;
IF  LDL34F = 9 THEN LDL34F       = .C;
IF  LDL34F = 6 THEN LDL34F       = .A;
IF  LDL41F = 7 THEN LDL41F       = .B;
IF  LDL41F = 9 THEN LDL41F       = .C;
IF  LDL41F = 6 THEN LDL41F       = .A;
IF  TRIG = 999.97 THEN TRIG         = .A;
IF  TRIG = 999.99 THEN TRIG         = .B;
IF  TRIGFCAT = 7 THEN TRIGFCAT     = .B;
IF  TRIGFCAT = 9 THEN TRIGFCAT     = .C;
IF  TRIGFCAT = 6 THEN TRIGFCAT     = .A;
IF  TRIG23F = 7 THEN TRIG23F      = .B;
IF  TRIG23F = 9 THEN TRIG23F      = .C;
IF  TRIG23F = 6 THEN TRIG23F      = .A;
IF  REGSMOK = 9 THEN REGSMOK      = .B;
IF  SMOKECAT = 9 THEN SMOKECAT     = .A;
IF  CIGCAT = 7 THEN CIGCAT       = .A;
IF  CIGCAT = 9 THEN CIGCAT       = .B;
IF  CIG_DAY = 997 THEN CIG_DAY      = .A;
IF  CIG_DAY = 999 THEN CIG_DAY      = .B;
IF  SEDENT = 9 THEN SEDENT       = .B;
IF  ALCOHOL = 7 THEN ALCOHOL      = .A;
IF  ALCOHOL = 9 THEN ALCOHOL      = .B;
IF  DIABCAT = 7 THEN DIABCAT      = .A;
IF  DIABCAT = 9 THEN DIABCAT      = .B;
IF  MRF3A = 9 THEN MRF3A        = .A;
IF  MRF3B = 9 THEN MRF3B        = .A;
IF  MRF4A = 9 THEN MRF4A        = .A;
IF  MRF4B = 9 THEN MRF4B        = .A;
IF  BPPREV = 9 THEN BPPREV       = .B;
IF  BPWHEN = 8 THEN BPWHEN       = .B;
IF  BPWHEN = 9 THEN BPWHEN       = .C;
IF  BPWHEN = 0 THEN BPWHEN       = .A;
IF  BPWHO = 8 THEN BPWHO        = .B;
IF  BPWHO = 9 THEN BPWHO        = .C;
IF  BPWHO = 0 THEN BPWHO        = .A;
IF  BPINFO = 8 THEN BPINFO       = .B;
IF  BPINFO = 9 THEN BPINFO       = .C;
IF  BPINFO = 0 THEN BPINFO       = .A;
IF  BPPREVS = 998 THEN BPPREVS      = .B;
IF  BPPREVS = 999 THEN BPPREVS      = .C;
IF  BPPREVS = 0   THEN BPPREVS      = .A;
IF  BPPREVD = 998 THEN BPPREVD      = .B;
IF  BPPREVD = 999 THEN BPPREVD      = .C;
IF  BPPREVD = 0   THEN BPPREVD      = .A;
IF  BPHIGH = 8 THEN BPHIGH       = .A;
IF  BPHIGH = 9 THEN BPHIGH       = .B;
IF  BPHIGHTR = 8 THEN BPHIGHTR     = .B;
IF  BPHIGHTR = 9 THEN BPHIGHTR     = .C;
IF  BPHIGHTR = 0 THEN BPHIGHTR     = .A;
IF  BPRX1 = 9 THEN BPRX1        = .B;
IF  BPRX1 = 0 THEN BPRX1        = .A;
IF  BPRXAND1 = 9 THEN BPRXAND1     = .B;
IF  BPRXAND1 = 0 THEN BPRXAND1     = .A;
IF  BPSALT1 = 9 THEN BPSALT1      = .B;
IF  BPSALT1 = 0 THEN BPSALT1      = .A;
IF  BPWGT1 = 9 THEN BPWGT1       = .B;
IF  BPWGT1 = 0 THEN BPWGT1       = .A;
IF  BPSTR1 = 9 THEN BPSTR1       = .B;
IF  BPSTR1 = 0 THEN BPSTR1       = .A;
IF  BPSMOK1 = 9 THEN BPSMOK1      = .B;
IF  BPSMOK1 = 0 THEN BPSMOK1      = .A;
IF  BPALC1 = 9 THEN BPALC1       = .B;
IF  BPALC1 = 0 THEN BPALC1       = .A;
IF  BPEXER1 = 9 THEN BPEXER1      = .B;
IF  BPEXER1 = 0 THEN BPEXER1      = .A;
IF  BPBIO1 = 9 THEN BPBIO1       = .B;
IF  BPBIO1 = 0 THEN BPBIO1       = .A;
IF  BPOTH1 = 9 THEN BPOTH1       = .B;
IF  BPOTH1 = 0 THEN BPOTH1       = .A;
IF  BPDK1 = 9 THEN BPDK1        = .B;
IF  BPDK1 = 0 THEN BPDK1        = .A;
IF  BPPRG2 = 8 THEN BPPRG2       = .B;
IF  BPPRG2 = 9 THEN BPPRG2       = .C;
IF  BPPRG2 = 0 THEN BPPRG2       = .A;
IF  BPRX2 = 0 THEN BPRX2        = .A;
IF  BPRXAND2 = 0 THEN BPRXAND2     = .A;
IF  BPSALT2 = 0 THEN BPSALT2      = .A;
IF  BPWGT2 = 0 THEN BPWGT2       = .A;
IF  BPSTR2 = 0 THEN BPSTR2       = .A;
IF  BPSMOK2 = 0 THEN BPSMOK2      = .A;
IF  BPALC2 = 0 THEN BPALC2       = .A;
IF  BPEXER2 = 0 THEN BPEXER2      = .A;
IF  BPBIO2 = 0 THEN BPBIO2       = .A;
IF  BPNONE2 = 0 THEN BPNONE2      = .A;
IF  BPOTH2 = 0 THEN BPOTH2       = .A;
IF  BPDK2 = 0 THEN BPDK2        = .A;
IF  BPRXNOW = 8 THEN BPRXNOW      = .B;
IF  BPRXNOW = 9 THEN BPRXNOW      = .C;
IF  BPRXNOW = 0 THEN BPRXNOW      = .A;
IF  BPRXEVER = 8 THEN BPRXEVER     = .B;
IF  BPRXEVER = 9 THEN BPRXEVER     = .C;
IF  BPRXEVER = 0 THEN BPRXEVER     = .A;
IF  BPOKNOW = 8 THEN BPOKNOW      = .A;
IF  BPOKNOW = 9 THEN BPOKNOW      = .B;
IF  BPHEALTH = 8 THEN BPHEALTH     = .A;
IF  BPHLTHOW = 9 THEN BPHLTHOW     = .B;
IF  BPHLTHOW = 0 THEN BPHLTHOW     = .A;
IF  BPCAUSE = 9 THEN BPCAUSE      = .A;
IF  BPFOOD = 9 THEN BPFOOD       = .A;
IF  BPSALT = 9 THEN BPSALT       = .B;
IF  BPSALT = 0 THEN BPSALT       = .A;
IF  BPSODIUM = 9 THEN BPSODIUM     = .B;
IF  BPSODIUM = 0 THEN BPSODIUM     = .A;
IF  BPALC = 9 THEN BPALC        = .B;
IF  BPALC = 0 THEN BPALC        = .A;
IF  BPFATS = 9 THEN BPFATS       = .B;
IF  BPFATS = 0 THEN BPFATS       = .A;
IF  BPSATFAT = 9 THEN BPSATFAT     = .B;
IF  BPSATFAT = 0 THEN BPSATFAT     = .A;
IF  BPCHOL = 9 THEN BPCHOL       = .B;
IF  BPCHOL = 0 THEN BPCHOL       = .A;
IF  BPCALOR = 9 THEN BPCALOR      = .B;
IF  BPCALOR = 0 THEN BPCALOR      = .A;
IF  BPADDIT = 9 THEN BPADDIT      = .B;
IF  BPADDIT = 0 THEN BPADDIT      = .A;
IF  BPCAFF = 9 THEN BPCAFF       = .B;
IF  BPCAFF = 0 THEN BPCAFF       = .A;
IF  BPSUGAR = 9 THEN BPSUGAR      = .B;
IF  BPSUGAR = 0 THEN BPSUGAR      = .A;
IF  BPSTARCH = 9 THEN BPSTARCH     = .B;
IF  BPSTARCH = 0 THEN BPSTARCH     = .A;
IF  BPPORK = 9 THEN BPPORK       = .B;
IF  BPPORK = 0 THEN BPPORK       = .A;
IF  BPOTHMTS = 9 THEN BPOTHMTS     = .B;
IF  BPOTHMTS = 0 THEN BPOTHMTS     = .A;
IF  BPMEATS = 9 THEN BPMEATS      = .B;
IF  BPMEATS = 0 THEN BPMEATS      = .A;
IF  BPFRIED = 9 THEN BPFRIED      = .B;
IF  BPFRIED = 0 THEN BPFRIED      = .A;
IF  BPCALC = 9 THEN BPCALC       = .B;
IF  BPCALC = 0 THEN BPCALC       = .A;
IF  BPOTHER = 9 THEN BPOTHER      = .B;
IF  BPOTHER = 0 THEN BPOTHER      = .A;
IF  BPDK = 9 THEN BPDK         = .B;
IF  BPDK = 0 THEN BPDK         = .A;
IF  DIABET = 7 THEN DIABET       = .A;
IF  DIABET = 9 THEN DIABET       = .B;
IF  DIABAGE = 97 THEN DIABAGE      = .D;
IF  DIABAGE = 98 THEN DIABAGE      = .E;
IF  DIABAGE = 99 THEN DIABAGE      = .F;
IF  DIABAGE = 0  THEN DIABAGE      = .A;
IF  DBNOTRT = 7 THEN DBNOTRT      = .B;
IF  DBNOTRT = 9 THEN DBNOTRT      = .C;
IF  DBNOTRT = 0 THEN DBNOTRT      = .A;
IF  DBINS = 7 THEN DBINS        = .B;
IF  DBINS = 9 THEN DBINS        = .C;
IF  DBINS = 0 THEN DBINS        = .A;
IF  DBRX = 7 THEN DBRX         = .B;
IF  DBRX = 9 THEN DBRX         = .C;
IF  DBRX = 0 THEN DBRX         = .A;
IF  DBDIET = 7 THEN DBDIET       = .B;
IF  DBDIET = 9 THEN DBDIET       = .C;
IF  DBDIET = 0 THEN DBDIET       = .A;
IF  DBWGT = 7 THEN DBWGT        = .B;
IF  DBWGT = 9 THEN DBWGT        = .C;
IF  DBWGT = 0 THEN DBWGT        = .A;
IF  DBOTHER = 7 THEN DBOTHER      = .B;
IF  DBOTHER = 9 THEN DBOTHER      = .C;
IF  DBOTHER = 0 THEN DBOTHER      = .A;
IF  DBDK = 7 THEN DBDK         = .B;
IF  DBDK = 9 THEN DBDK         = .C;
IF  DBDK = 0 THEN DBDK         = .A;
IF  ALCEVER = 7 THEN ALCEVER      = .A;
IF  ALCEVER = 9 THEN ALCEVER      = .B;
IF  ALC12MTH = 7 THEN ALC12MTH     = .B;
IF  ALC12MTH = 9 THEN ALC12MTH     = .C;
IF  ALC12MTH = 0 THEN ALC12MTH     = .A;
IF  ALCMTH = 95 THEN ALCMTH       = .D;
IF  ALCMTH = 97 THEN ALCMTH       = .E;
IF  ALCMTH = 98 THEN ALCMTH       = .F;
IF  ALCMTH = 99 THEN ALCMTH       = .G;
IF  ALCMTH = 0  THEN ALCMTH       = .A;
IF  ALCNUM = 97 THEN ALCNUM       = .D;
IF  ALCNUM = 98 THEN ALCNUM       = .E;
IF  ALCNUM = 99 THEN ALCNUM       = .F;
IF  ALCNUM = 0  THEN ALCNUM       = .A;
IF  WGTLOSE = 7 THEN WGTLOSE      = .A;
IF  WGTLOSE = 9 THEN WGTLOSE      = .B;
IF  WGTNOW = 9 THEN WGTNOW       = .A;
IF  WGTDIET = 9 THEN WGTDIET      = .B;
IF  WGTDIET = 0 THEN WGTDIET      = .A;
IF  WGTEXER = 9 THEN WGTEXER      = .B;
IF  WGTEXER = 0 THEN WGTEXER      = .A;
IF  WGTMEALS = 9 THEN WGTMEALS     = .B;
IF  WGTMEALS = 0 THEN WGTMEALS     = .A;
IF  WGTPILLS = 9 THEN WGTPILLS     = .B;
IF  WGTPILLS = 0 THEN WGTPILLS     = .A;
IF  WGTPRGM = 9 THEN WGTPRGM      = .B;
IF  WGTPRGM = 0 THEN WGTPRGM      = .A;
IF  WGTOTHER = 9 THEN WGTOTHER     = .B;
IF  WGTOTHER = 0 THEN WGTOTHER     = .A;
IF  WGTDK1 = 9 THEN WGTDK1       = .B;
IF  WGTDK1 = 0 THEN WGTDK1       = .A;
IF  WGTLOOKS = 9 THEN WGTLOOKS     = .B;
IF  WGTLOOKS = 0 THEN WGTLOOKS     = .A;
IF  WGTHLTH = 9 THEN WGTHLTH      = .B;
IF  WGTHLTH = 0 THEN WGTHLTH      = .A;
IF  WGTHEART = 9 THEN WGTHEART     = .B;
IF  WGTHEART = 0 THEN WGTHEART     = .A;
IF  WGTBP = 9 THEN WGTBP        = .B;
IF  WGTBP = 0 THEN WGTBP        = .A;
IF  WGTCHOL = 9 THEN WGTCHOL      = .B;
IF  WGTCHOL = 0 THEN WGTCHOL      = .A;
IF  WGTART = 9 THEN WGTART       = .B;
IF  WGTART = 0 THEN WGTART       = .A;
IF  WGTDIAB = 9 THEN WGTDIAB      = .B;
IF  WGTDIAB = 0 THEN WGTDIAB      = .A;
IF  WGTOTH = 9 THEN WGTOTH       = .B;
IF  WGTOTH = 0 THEN WGTOTH       = .A;
IF  WGTDK2 = 9 THEN WGTDK2       = .B;
IF  WGTDK2 = 0 THEN WGTDK2       = .A;
IF  HGT = 997 THEN HGT          = .D;
IF  HGT = 998 THEN HGT          = .E;
IF  HGT = 999 THEN HGT          = .F;
IF  WGT = 997 THEN WGT          = .D;
IF  WGT = 998 THEN WGT          = .E;
IF  WGT = 999 THEN WGT          = .F;
IF  WGTLIKE = 997 THEN WGTLIKE      = .A;
IF  WGTLIKE = 999 THEN WGTLIKE      = .B;
IF  SALTCOOK = 7 THEN SALTCOOK     = .A;
IF  SALTCOOK = 8 THEN SALTCOOK     = .B;
IF  SALTCOOK = 9 THEN SALTCOOK     = .C;
IF  SALTFOOD = 7 THEN SALTFOOD     = .A;
IF  SALTFOOD = 9 THEN SALTFOOD     = .B;
IF  SALTHLTH = 7 THEN SALTHLTH     = .A;
IF  SALTHLTH = 8 THEN SALTHLTH     = .B;
IF  SALTBP = 7 THEN SALTBP       = .B;
IF  SALTBP = 0 THEN SALTBP       = .A;
IF  SALTWGT = 7 THEN SALTWGT      = .B;
IF  SALTWGT = 0 THEN SALTWGT      = .A;
IF  SALTEDEM = 7 THEN SALTEDEM     = .B;
IF  SALTEDEM = 0 THEN SALTEDEM     = .A;
IF  SALTHA = 7 THEN SALTHA       = .B;
IF  SALTHA = 0 THEN SALTHA       = .A;
IF  SALTSTR = 7 THEN SALTSTR      = .B;
IF  SALTSTR = 0 THEN SALTSTR      = .A;
IF  SALTKIDN = 7 THEN SALTKIDN     = .B;
IF  SALTKIDN = 0 THEN SALTKIDN     = .A;
IF  SALTRX = 7 THEN SALTRX       = .B;
IF  SALTRX = 0 THEN SALTRX       = .A;
IF  SALTART = 7 THEN SALTART      = .B;
IF  SALTART = 0 THEN SALTART      = .A;
IF  SALTOTH = 7 THEN SALTOTH      = .B;
IF  SALTOTH = 0 THEN SALTOTH      = .A;
IF  SALTDK = 7 THEN SALTDK       = .B;
IF  SALTDK = 0 THEN SALTDK       = .A;
IF  FATS = 9 THEN FATS         = .A;
IF  FATOBS = 9 THEN FATOBS       = .B;
IF  FATOBS = 0 THEN FATOBS       = .A;
IF  FATHEART = 9 THEN FATHEART     = .B;
IF  FATHEART = 0 THEN FATHEART     = .A;
IF  FATCHOL = 9 THEN FATCHOL      = .B;
IF  FATCHOL = 0 THEN FATCHOL      = .A;
IF  FATBP = 9 THEN FATBP        = .B;
IF  FATBP = 0 THEN FATBP        = .A;
IF  FATART = 9 THEN FATART       = .B;
IF  FATART = 0 THEN FATART       = .A;
IF  FATDK = 9 THEN FATDK        = .B;
IF  FATDK = 0 THEN FATDK        = .A;
IF  FATOTH = 9 THEN FATOTH       = .B;
IF  FATOTH = 0 THEN FATOTH       = .A;
IF  CHOL = 7 THEN CHOL         = .A;
IF  CHOLINFO = 7 THEN CHOLINFO     = .B;
IF  CHOLINFO = 9 THEN CHOLINFO     = .C;
IF  CHOLINFO = 0 THEN CHOLINFO     = .A;
IF  CHOLFOOD = 8 THEN CHOLFOOD     = .B;
IF  CHOLFOOD = 0 THEN CHOLFOOD     = .A;
IF  CHOLEGGS = 7 THEN CHOLEGGS     = .B;
IF  CHOLEGGS = 0 THEN CHOLEGGS     = .A;
IF  CHOLPOUL = 7 THEN CHOLPOUL     = .B;
IF  CHOLPOUL = 0 THEN CHOLPOUL     = .A;
IF  CHOLBEEF = 7 THEN CHOLBEEF     = .B;
IF  CHOLBEEF = 0 THEN CHOLBEEF     = .A;
IF  CHOLPORK = 7 THEN CHOLPORK     = .B;
IF  CHOLPORK = 0 THEN CHOLPORK     = .A;
IF  CHOLSEA = 7 THEN CHOLSEA      = .B;
IF  CHOLSEA = 0 THEN CHOLSEA      = .A;
IF  CHOLMILK = 7 THEN CHOLMILK     = .B;
IF  CHOLMILK = 0 THEN CHOLMILK     = .A;
IF  CHOLCHSE = 7 THEN CHOLCHSE     = .B;
IF  CHOLCHSE = 0 THEN CHOLCHSE     = .A;
IF  CHOLOTH = 7 THEN CHOLOTH      = .B;
IF  CHOLOTH = 0 THEN CHOLOTH      = .A;
IF  CHOLBUT = 7 THEN CHOLBUT      = .B;
IF  CHOLBUT = 0 THEN CHOLBUT      = .A;
IF  CHOLFAST = 7 THEN CHOLFAST     = .B;
IF  CHOLFAST = 0 THEN CHOLFAST     = .A;
IF  CHOLDK = 7 THEN CHOLDK       = .B;
IF  CHOLDK = 0 THEN CHOLDK       = .A;
IF  CHOLHLTH = 8 THEN CHOLHLTH     = .B;
IF  CHOLHLTH = 9 THEN CHOLHLTH     = .C;
IF  CHOLHLTH = 0 THEN CHOLHLTH     = .A;
IF  CHOLINBL = 8 THEN CHOLINBL     = .B;
IF  CHOLINBL = 9 THEN CHOLINBL     = .C;
IF  CHOLINBL = 0 THEN CHOLINBL     = .A;
IF  CHOLBLD = 8 THEN CHOLBLD      = .B;
IF  CHOLBLD = 9 THEN CHOLBLD      = .C;
IF  CHOLBLD = 0 THEN CHOLBLD      = .A;
IF  CHOLART = 9 THEN CHOLART      = .B;
IF  CHOLART = 0 THEN CHOLART      = .A;
IF  CHOLBP = 9 THEN CHOLBP       = .B;
IF  CHOLBP = 0 THEN CHOLBP       = .A;
IF  CHOLHA = 9 THEN CHOLHA       = .B;
IF  CHOLHA = 0 THEN CHOLHA       = .A;
IF  CHOLSTR = 9 THEN CHOLSTR      = .B;
IF  CHOLSTR = 0 THEN CHOLSTR      = .A;
IF  CHOLANG = 9 THEN CHOLANG      = .B;
IF  CHOLANG = 0 THEN CHOLANG      = .A;
IF  CHOLOTHR = 9 THEN CHOLOTHR     = .B;
IF  CHOLOTHR = 0 THEN CHOLOTHR     = .A;
IF  CHOLDK2 = 9 THEN CHOLDK2      = .B;
IF  CHOLDK2 = 0 THEN CHOLDK2      = .A;
IF  BCHOL = 8 THEN BCHOL        = .B;
IF  BCHOL = 9 THEN BCHOL        = .C;
IF  BCHOL = 0 THEN BCHOL        = .A;
IF  BCHTOLD = 8 THEN BCHTOLD      = .B;
IF  BCHTOLD = 9 THEN BCHTOLD      = .C;
IF  BCHTOLD = 0 THEN BCHTOLD      = .A;
IF  BCHHIGH = 8 THEN BCHHIGH      = .B;
IF  BCHHIGH = 9 THEN BCHHIGH      = .C;
IF  BCHHIGH = 0 THEN BCHHIGH      = .A;
IF  BCHTRT = 8 THEN BCHTRT       = .B;
IF  BCHTRT = 9 THEN BCHTRT       = .C;
IF  BCHTRT = 0 THEN BCHTRT       = .A;
IF  BCHDIET = 8 THEN BCHDIET      = .B;
IF  BCHDIET = 9 THEN BCHDIET      = .C;
IF  BCHDIET = 0 THEN BCHDIET      = .A;
IF  BCHEXER = 0 THEN BCHEXER      = .A;
IF  BCHSTRES = 0 THEN BCHSTRES     = .A;
IF  BCHRX = 0 THEN BCHRX        = .A;
IF  BCHCHOL = 0 THEN BCHCHOL      = .A;
IF  BCHFAT = 0 THEN BCHFAT       = .A;
IF  BCHWGT = 0 THEN BCHWGT       = .A;
IF  BCHSKIM = 0 THEN BCHSKIM      = .A;
IF  BCHNONE = 0 THEN BCHNONE      = .A;
IF  BCHOTH = 0 THEN BCHOTH       = .A;
IF  BCHDK = 0 THEN BCHDK        = .A;
IF  PIPE = 9 THEN PIPE         = .B;
IF  PIPE = 0 THEN PIPE         = .A;
IF  PIPENOW = 9 THEN PIPENOW      = .B;
IF  PIPENOW = 0 THEN PIPENOW      = .A;
IF  CIGAR = 9 THEN CIGAR        = .B;
IF  CIGAR = 0 THEN CIGAR        = .A;
IF  CIGARNOW = 9 THEN CIGARNOW     = .B;
IF  CIGARNOW = 0 THEN CIGARNOW     = .A;
IF  CIGET = 9 THEN CIGET        = .B;
IF  CIGET = 0 THEN CIGET        = .A;
IF  CIGETNOW = 9 THEN CIGETNOW     = .B;
IF  CIGETNOW = 0 THEN CIGETNOW     = .A;
IF  CIGETNUM = 997 THEN CIGETNUM     = .B;
IF  CIGETNUM = 999 THEN CIGETNUM     = .C;
IF  CIGETNUM = 0   THEN CIGETNUM     = .A;
IF  EXER = 8 THEN EXER         = .A;
IF  EXER = 9 THEN EXER         = .B;
IF  EXERSTRN = 9 THEN EXERSTRN     = .B;
IF  EXERSTRN = 0 THEN EXERSTRN     = .A;
IF  EXERLONG = 8 THEN EXERLONG     = .B;
IF  EXERLONG = 9 THEN EXERLONG     = .C;
IF  EXERLONG = 0 THEN EXERLONG     = .A;
IF  EXERWORK = 7 THEN EXERWORK     = .D;
IF  EXERWORK = 8 THEN EXERWORK     = .E;
IF  EXERWORK = 9 THEN EXERWORK     = .F;
IF  EXERWORK = 0 THEN EXERWORK     = .A;
IF  HDPREV = 8 THEN HDPREV       = .A;
IF  HDPREV = 9 THEN HDPREV       = .B;
IF  EVERHA = 8 THEN EVERHA       = .A;
IF  EVERHA = 9 THEN EVERHA       = .B;
IF  EVERSTR = 8 THEN EVERSTR      = .A;
IF  EVERSTR = 9 THEN EVERSTR      = .B;
IF  STRPREV = 8 THEN STRPREV      = .A;
IF  STRPREV = 9 THEN STRPREV      = .B;
IF  OTHHD = 8 THEN OTHHD        = .A;
IF  OTHHD = 9 THEN OTHHD        = .B;
IF  RXHEART = 8 THEN RXHEART      = .A;
IF  RXHEART = 9 THEN RXHEART      = .B;
IF  FEMRX = 9 THEN FEMRX        = .B;
IF  FEMRX = 0 THEN FEMRX        = .A;
FORMAT  INCLINIC V2_F.
        INBLOOD V3_F.
        PROV V4_F.
        AREA V5_F.
        SEX V6_F.
        GPAGE V8_F.
        GPAGE2 V9_F.
        EDUCYRS V10_F.
        EDUC V11_F.
        INCOME V12_F.
        INCADEQ V13_F.
        EMPLOY V14_F.
        WORKTYPE V15_F.
        MARITAL V16_F.
        LANG V17_F.
        HOUSEHLD V18_F.
        PWGTC V20_F.
        BPS1 V21_F.
        BPD1 V22_F.
        BPS2 V23_F.
        BPD2 V24_F.
        BPCS1 V25_F.
        BPCD1 V26_F.
        BPCS2 V27_F.
        BPCD2 V28_F.
        MSYS V29_F.
        SYSCAT V30_F.
        MDIAS V31_F.
        DIASCAT V32_F.
        HYPER V33_F.
        H14090 V34_F.
        HATCS V35_F.
        HATCSDS V36_F.
        PHARM V37_F.
        NPHARM V38_F.
        HGTC V39_F.
        WGTC V40_F.
        BMI V41_F.
        BMICAT V42_F.
        BMI25 V43_F.
        BMI27 V44_F.
        WAIST V45_F.
        HIP V46_F.
        WHR V47_F.
        WHRMEN V48_F.
        WHRWOMEN V49_F.
        WHRCAT V50_F.
        PULSE V51_F.
        HRS V52_F.
        FAST V53_F.
        TCHOL V54_F.
        TCHOLCAT V55_F.
        TCHLFCAT V56_F.
        TCHOL52A V57_F.
        TCHOL62A V58_F.
        TCHOL52F V59_F.
        TCHOL62F V60_F.
        HDL V61_F.
        HDLFCAT V62_F.
        HDL09F V63_F.
        LDL V64_F.
        LDLFCAT V65_F.
        LDL34F V66_F.
        LDL41F V67_F.
        TRIG V68_F.
        TRIGFCAT V69_F.
        TRIG23F V70_F.
        REGSMOK V71_F.
        SMOKECAT V72_F.
        CIGCAT V73_F.
        CIG_DAY V74_F.
        SEDENT V75_F.
        ALCOHOL V76_F.
        DIABCAT V77_F.
        MRF3A V78_F.
        MRF3B V79_F.
        MRF4A V80_F.
        MRF4B V81_F.
        BPPREV V82_F.
        BPWHEN V83_F.
        BPWHO V84_F.
        BPINFO V85_F.
        BPPREVS V86_F.
        BPPREVD V87_F.
        BPHIGH V88_F.
        BPHIGHTR V89_F.
        BPRX1 V90_F.
        BPRXAND1 V91_F.
        BPSALT1 V92_F.
        BPWGT1 V93_F.
        BPSTR1 V94_F.
        BPSMOK1 V95_F.
        BPALC1 V96_F.
        BPEXER1 V97_F.
        BPBIO1 V98_F.
        BPOTH1 V99_F.
        BPDK1 V100_F.
        BPPRG2 V101_F.
        BPRX2 V102_F.
        BPRXAND2 V103_F.
        BPSALT2 V104_F.
        BPWGT2 V105_F.
        BPSTR2 V106_F.
        BPSMOK2 V107_F.
        BPALC2 V108_F.
        BPEXER2 V109_F.
        BPBIO2 V110_F.
        BPNONE2 V111_F.
        BPOTH2 V112_F.
        BPDK2 V113_F.
        BPRXNOW V114_F.
        BPRXEVER V115_F.
        BPOKNOW V116_F.
        BPHEALTH V117_F.
        BPHLTHOW V118_F.
        BPCAUSE V119_F.
        BPFOOD V120_F.
        BPSALT V121_F.
        BPSODIUM V122_F.
        BPALC V123_F.
        BPFATS V124_F.
        BPSATFAT V125_F.
        BPCHOL V126_F.
        BPCALOR V127_F.
        BPADDIT V128_F.
        BPCAFF V129_F.
        BPSUGAR V130_F.
        BPSTARCH V131_F.
        BPPORK V132_F.
        BPOTHMTS V133_F.
        BPMEATS V134_F.
        BPFRIED V135_F.
        BPCALC V136_F.
        BPOTHER V137_F.
        BPDK V138_F.
        DIABET V139_F.
        DIABAGE V140_F.
        DBNOTRT V141_F.
        DBINS V142_F.
        DBRX V143_F.
        DBDIET V144_F.
        DBWGT V145_F.
        DBOTHER V146_F.
        DBDK V147_F.
        ALCEVER V148_F.
        ALC12MTH V149_F.
        ALCMTH V150_F.
        ALCNUM V151_F.
        WGTLOSE V152_F.
        WGTNOW V153_F.
        WGTDIET V154_F.
        WGTEXER V155_F.
        WGTMEALS V156_F.
        WGTPILLS V157_F.
        WGTPRGM V158_F.
        WGTOTHER V159_F.
        WGTDK1 V160_F.
        WGTLOOKS V161_F.
        WGTHLTH V162_F.
        WGTHEART V163_F.
        WGTBP V164_F.
        WGTCHOL V165_F.
        WGTART V166_F.
        WGTDIAB V167_F.
        WGTOTH V168_F.
        WGTDK2 V169_F.
        HGT V170_F.
        WGT V171_F.
        WGTLIKE V172_F.
        SALTCOOK V173_F.
        SALTFOOD V174_F.
        SALTHLTH V175_F.
        SALTBP V176_F.
        SALTWGT V177_F.
        SALTEDEM V178_F.
        SALTHA V179_F.
        SALTSTR V180_F.
        SALTKIDN V181_F.
        SALTRX V182_F.
        SALTART V183_F.
        SALTOTH V184_F.
        SALTDK V185_F.
        FATS V186_F.
        FATOBS V187_F.
        FATHEART V188_F.
        FATCHOL V189_F.
        FATBP V190_F.
        FATART V191_F.
        FATDK V192_F.
        FATOTH V193_F.
        CHOL V194_F.
        CHOLINFO V195_F.
        CHOLFOOD V196_F.
        CHOLEGGS V197_F.
        CHOLPOUL V198_F.
        CHOLBEEF V199_F.
        CHOLPORK V200_F.
        CHOLSEA V201_F.
        CHOLMILK V202_F.
        CHOLCHSE V203_F.
        CHOLOTH V204_F.
        CHOLBUT V205_F.
        CHOLFAST V206_F.
        CHOLDK V207_F.
        CHOLHLTH V208_F.
        CHOLINBL V209_F.
        CHOLBLD V210_F.
        CHOLART V211_F.
        CHOLBP V212_F.
        CHOLHA V213_F.
        CHOLSTR V214_F.
        CHOLANG V215_F.
        CHOLOTHR V216_F.
        CHOLDK2 V217_F.
        BCHOL V218_F.
        BCHTOLD V219_F.
        BCHHIGH V220_F.
        BCHTRT V221_F.
        BCHDIET V222_F.
        BCHEXER V223_F.
        BCHSTRES V224_F.
        BCHRX V225_F.
        BCHCHOL V226_F.
        BCHFAT V227_F.
        BCHWGT V228_F.
        BCHSKIM V229_F.
        BCHNONE V230_F.
        BCHOTH V231_F.
        BCHDK V232_F.
        SMOK V233_F.
        PIPE V234_F.
        PIPENOW V235_F.
        CIGAR V236_F.
        CIGARNOW V237_F.
        CIGET V238_F.
        CIGETNOW V239_F.
        CIGETNUM V240_F.
        EXER V241_F.
        EXERSTRN V242_F.
        EXERLONG V243_F.
        EXERWORK V244_F.
        HDDIET V245_F.
        HDWGT V246_F.
        HDFATS V247_F.
        HDSALT V248_F.
        HDCHOLBD V249_F.
        HDCHOLFD V250_F.
        HDSTRESS V251_F.
        HDTIRED V252_F.
        HDEXER V253_F.
        HDSMOKE V254_F.
        HDHERED V255_F.
        HDHBP V256_F.
        HDART V257_F.
        HDDK V258_F.
        HDOTH V259_F.
        HDPREV V260_F.
        EVERHA V261_F.
        EVERSTR V262_F.
        STRPREV V263_F.
        OTHHD V264_F.
        RXHEART V265_F.
        FEMRX V266_F.
;
RUN;
